<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Dim rsDB, sSQLText, fsoFileObject
	Dim iDomainUnq, sSourceDir
	
	Dim sDomainDir, fsoTextFile

	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_DOMAINS_IMPORT")
	If   (ACCNT_AnyDomain("SB_MD_IMPORT")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")

	'************************************************************************************
	'*																					*
	'*	This is the main sub.															*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sError2, sSuccess

		sAction = Trim(Request("sAction"))
	
		Set rsDB = Server.CreateObject("ADODB.recordset")
		
		Select Case sAction
			Case "ImportDomain"
				iDomainUnq = Request("iDomainUnq")
				If ( ACCNT_SpecificDomain("SB_MD_IMPORT", iDomainUnq) ) Then
					sSourceDir = Trim(Request("sSourceDir"))
					If ( sSourceDir = "" ) Then
						sError = "Please enter the full path to the directory you would like to import the Domain data from."
					End If
					Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
					sSourceDir = Replace(sSourceDir, "/", "\")
					If ( Right(sSourceDir, 1) = "\" ) Then
						sSourceDir = Left(sSourceDir, Len(sSourceDir)-1)
					End If
					If ( sSourceDir = "" ) Then
						sError = "The source path cannot be blank."
					Else
						If ( fsoFileObject.FolderExists(sSourceDir) = FALSE ) Then
							If ( fsoFileObject.CreateFolder(sSourceDir) = "" ) Then
								sError = "The path to the import set does not exist."
							End If
						End If
					End If

					If ( sError = "" ) Then
' SET IDENTITY_INSERT MyTable ON -- http://msdn.microsoft.com/library/default.asp?url=/library/en-us/tsqlref/ts_set-set_7zas.asp
' bulk copy: http://msdn.microsoft.com/library/default.asp?url=/library/en-us/adminsql/ad_impt_bcp_2e5s.asp
						Call ImportDomainTxt()
						Call ImportUsersTxt()
						Call ImportAccessibleDomainsTxt()
						Call ImportDomainGroupsTxt()
						Call ImportADVsTxt()
						Call ImportUserDataTxt()
						Call ImportConfigurationsTxt()
						
						Call ImportCSchemeFiles()

						Call ImportRightsTxt()
						Call ImportAssignedRightsTxt()
						Call ImportInitialRightsTxt()

						Call ImportTSchemeFiles()
						Call ImportActionFiles()

						Call ImportGroupFiles()
						Call DOMAIN_Message("Successfully imported the Foundation data.", "SUCCESS")

						
						' see if they have Image Gallery installed and export that
						If ( ACCNT_ReturnSystemUnq("IMAGEGALLERY_SYSTEMUNQ") ) Then
							Call ImportImageGalleryFiles()
							Call DOMAIN_Message("Image Gallery data successfully imported.", "SUCCESS")
						End If
						
						' see if they have Online MP3 Radio installed and export that
						If ( ACCNT_ReturnSystemUnq("RADIO_SYSTEMUNQ") ) Then
							Call ImportRadioFiles()
							Call DOMAIN_Message("Online MP3 Radio data successfully imported.", "SUCCESS")
						End If
						
						' see if they have Message Board installed and export that
						If ( ACCNT_ReturnSystemUnq("MSGBOARD_SYSTEMUNQ") ) Then
							Call ImportMsgBoardFiles()
							Call DOMAIN_Message("Message Board data successfully imported.", "SUCCESS")
						End If
					End If
				End If

		End Select
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		
		Call WriteForm()
		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	

	
	
	'************************************************************************************
	'*																					*
	'*	Create the Domain.txt file and add the Domain's info.							*
	'*																					*
	'************************************************************************************
	Sub ImportDomainTxt()
		sSQLText = "SELECT * FROM DomainInfo (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sDomainDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sDomainDir & "\Domain.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("DomainUnq,Description,Domain,Type")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("DomainUnq") & vbTab & rsDB("Description") & vbTab & rsDB("Domain") & vbTab & rsDB("Type"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Create the Users.txt file and add all the users to it whom this is their Home	*
	'*		Domain.																		*
	'*																					*
	'************************************************************************************
	Sub ImportUsersTxt()
		sSQLText = "SELECT * FROM Accounts (NOLOCK) WHERE HomeDomain = " & iDomainUnq & " ORDER BY AccountUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sDomainDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sDomainDir & "\Users.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("AccountUnq,Login,Password,AddDate,RemoveDate,HomeDomain,IgnoreGlobal")
			While ( NOT rsDB.EOF )
				' delimit with tab because users can put anything in their login and pw, including , | ~ ^ etc..which r usually delimiters
				fsoTextFile.WriteLine(rsDB("AccountUnq") & vbTab & rsDB("Login") & vbTab & rsDB("Password") & vbTab & rsDB("AddDate") & vbTab & rsDB("RemoveDate") & vbTab & rsDB("HomeDomain") & vbTab & rsDB("IgnoreGlobal"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	Create the AccessibleDomains.txt file and add all the users and the list of		*
	'*		Domains they can log onto (Accessible Domains).								*
	'*																					*
	'************************************************************************************
	Sub ImportAccessibleDomainsTxt()
		sSQLText = "SELECT M.AccountUnq, M.DomainUnq FROM Accounts A (NOLOCK), AccountDomainMap M (NOLOCK) WHERE A.HomeDomain = " & iDomainUnq & " AND A.AccountUnq = M.AccountUnq ORDER BY M.AccountUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sDomainDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sDomainDir & "\AccessibleDomains.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("AccountUnq,DomainUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("AccountUnq") & vbTab & rsDB("DomainUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Create the DomainGroups.txt file and add the Domain Groups this Domain 			*
	'*		should be in.																*
	'*																					*
	'************************************************************************************
	Sub ImportDomainGroupsTxt()
		sSQLText = "SELECT DomainUnq, GroupUnq FROM DomainGroups (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sDomainDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sDomainDir & "\DomainGroups.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("DomainUnq,GroupUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("DomainUnq") & vbTab & rsDB("GroupUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Create the ADVs.txt file and add all the ADV information.						*
	'*																					*
	'************************************************************************************
	Sub ImportADVsTxt()
		sSQLText = "SELECT * FROM AccountMap (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sDomainDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sDomainDir & "\ADVs.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("MapName,DataType,Description,Required,Visible,DomainUnq,SystemUnq,RightsLvl,GroupUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("MapName") & vbTab & rsDB("DataType") & vbTab & rsDB("Description") & vbTab & rsDB("Required") & vbTab & rsDB("Visible") & vbTab & rsDB("DomainUnq") & vbTab & rsDB("SystemUnq") & vbTab & rsDB("RightsLvl") & vbTab & rsDB("GroupUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	Create the UserData.txt file and add all the users ADV information whose Home	*
	'*		Domain is the iDomainUnq Domain.											*
	'*																					*
	'************************************************************************************
	Sub ImportUserDataTxt()
		sSQLText = "SELECT * FROM AccountData (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sDomainDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sDomainDir & "\UserData.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("TextSize,VarCharSize,MapName,AccountUnq,ViewLvl,DomainUnq,HomeDomain,LastChange,VarCharData,TextData")
			While ( NOT rsDB.EOF )
				' delimit with tab
				' TextSize is the number of characters the TextData is.
				' VarCharSize is the number of chars the VarCharData is. both these are needed because both fields can have any character in them.
				fsoTextFile.WriteLine(Len(rsDB("TextData")) & vbTab & Len(rsDB("VarCharData")) & vbTab & rsDB("MapName") & vbTab & rsDB("AccountUnq") & vbTab & rsDB("ViewLvl") & vbTab & rsDB("DomainUnq") & vbTab & rsDB("HomeDomain") & vbTab & rsDB("LastChange") & vbTab & rsDB("VarCharData") & vbTab & rsDB("TextData") )
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Create the Configurations.txt file and add all the Configuration Variables.		*
	'*																					*
	'************************************************************************************
	Sub ImportConfigurationsTxt()
		sSQLText = "SELECT * FROM Configurations (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sDomainDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sDomainDir & "\Configurations.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("ConfConst,Value,Description,DomainUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("ConfConst") & vbTab & rsDB("Value") & vbTab & rsDB("Description") & vbTab & rsDB("DomainUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************

	
	
	'************************************************************************************
	'*																					*
	'*	Create each of the color scheme files with all of the color information.		*
	'*																					*
	'************************************************************************************
	Sub ImportCSchemeFiles()
		Dim sCurSchemeName, sLastSchemeName
		
		sSQLText = "SELECT S.SchemeName, M.* FROM ColorMap M (NOLOCK), ColorSchemes S (NOLOCK) WHERE M.DomainUnq = " & iDomainUnq & " AND M.SchemeUnq = S.SchemeUnq ORDER BY M.SchemeUnq, M.ColorConst"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sColorSchemesDir directory
			sCurSchemeName = ""
			While ( NOT rsDB.EOF )
				sCurSchemeName = Trim(rsDB("SchemeName"))
				If ( sCurSchemeName <> sLastSchemeName ) Then
					Set fsoTextFile = fsoFileObject.CreateTextFile(sColorSchemesDir & "\" & sCurSchemeName & ".txt", TRUE)
					fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
					fsoTextFile.WriteLine("ColorConst,Value,SchemeUnq,DomainUnq")
				End If
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("ColorConst") & vbTab & rsDB("Value") & vbTab & rsDB("SchemeUnq") & vbTab & rsDB("DomainUnq"))
				sLastSchemeName = sCurSchemeName
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************

	
	
	'************************************************************************************
	'*																					*
	'*	Create the Rights.txt file.														*
	'*																					*
	'************************************************************************************
	Sub ImportRightsTxt()
		' Create the Rights.txt
		sSQLText = "SELECT * FROM RightsLookup (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY SystemUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sRightsDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sRightsDir & "\Rights.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("DomainUnq,RightsLvl,RightsConst,SystemUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("DomainUnq") & vbTab & rsDB("RightsLvl") & vbTab & rsDB("RightsConst") & vbTab & rsDB("SystemUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Create the AssignedRights.txt file.												*
	'*																					*
	'************************************************************************************
	Sub ImportAssignedRightsTxt()
		' Create the 
		sSQLText = "SELECT * FROM Rights (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY SystemUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sRightsDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sRightsDir & "\AssignedRights.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("AccountUnq,GroupUnq,SystemUnq,DomainUnq,RightsLvl,GrantDate,RevokeDate")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("AccountUnq") & vbTab & rsDB("GroupUnq") & vbTab & rsDB("SystemUnq") & vbTab & rsDB("DomainUnq") & vbTab & rsDB("RightsLvl") & vbTab & rsDB("GrantDate") & vbTab & rsDB("RevokeDate"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Create the InitialRights.txt file.												*
	'*																					*
	'************************************************************************************
	Sub ImportInitialRightsTxt()
		' Create the 
		sSQLText = "SELECT * FROM InitialRights (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY SystemUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sRightsDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sRightsDir & "\InitialRights.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("DomainUnq,SystemUnq,RightsLvl")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("DomainUnq") & vbTab & rsDB("SystemUnq") & vbTab & rsDB("RightsLvl"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************

	
	
	'************************************************************************************
	'*																					*
	'*	Create each of the text scheme files with all of the text information.			*
	'*																					*
	'************************************************************************************
	Sub ImportTSchemeFiles()
		Dim sCurSchemeName, sLastSchemeName
		
		sSQLText = "SELECT S.SchemeName, M.* FROM TextMap M (NOLOCK), TextSchemes S (NOLOCK) WHERE M.DomainUnq = " & iDomainUnq & " AND M.SchemeUnq = S.SchemeUnq ORDER BY M.SchemeUnq, M.TextConst"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sTextSchemesDir directory
			sCurSchemeName = ""
			While ( NOT rsDB.EOF )
				sCurSchemeName = Trim(rsDB("SchemeName"))
				If ( sCurSchemeName <> sLastSchemeName ) Then
					Set fsoTextFile = fsoFileObject.CreateTextFile(sTextSchemesDir & "\" & sCurSchemeName & ".txt", TRUE)
					fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
					fsoTextFile.WriteLine("TextSize,VarCharSize,TextConst,DataType,VarCharData,TextData,SchemeUnq,DomainUnq")
				End If
				' delimit with tab
				fsoTextFile.WriteLine(Len(rsDB("TextData")) & vbTab & Len(rsDB("VarCharData")) & vbTab & rsDB("TextConst") & vbTab & rsDB("DataType") & vbTab & rsDB("VarCharData") & vbTab & rsDB("TextData") & vbTab & rsDB("SchemeUnq") & vbTab & rsDB("DomainUnq"))
				sLastSchemeName = sCurSchemeName
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************

	
	
	'************************************************************************************
	'*																					*
	'*	Create the Action files.														*
	'*																					*
	'************************************************************************************
	Sub ImportActionFiles()
		Dim iCount
	
		sSQLText = "SELECT * FROM Actions (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY SystemUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			iCount = 0
			While ( NOT rsDB.EOF )
				iCount = iCount + 1
				Set fsoTextFile = fsoFileObject.CreateTextFile(sActionsDir & "\" & iCount & ".txt", TRUE)
				fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
				fsoTextFile.WriteLine(rsDB("Description"))
				fsoTextFile.WriteLine(rsDB("ActionsConst"))
				fsoTextFile.WriteLine(rsDB("DomainUnq"))
				fsoTextFile.WriteLine(rsDB("SystemUnq"))
				fsoTextFile.WriteLine(rsDB("Code"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Create the GroupMap.txt and Groups.txt files.									*
	'*																					*
	'************************************************************************************
	Sub ImportGroupFiles()

		sSQLText = "SELECT * FROM GroupMap (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY GroupUnq, AccountUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sGroupsDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sGroupsDir & "\GroupMap.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("GroupUnq,AccountUnq,NumDays,Position,IgnoreGlobal,DomainUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("GroupUnq") & vbTab & rsDB("AccountUnq") & vbTab & rsDB("NumDays") & vbTab & rsDB("Position") & vbTab & rsDB("IgnoreGlobal") & vbTab & rsDB("DomainUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		sSQLText = "SELECT * FROM Groups (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY GroupUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			' Create the file in the sGroupsDir directory
			Set fsoTextFile = fsoFileObject.CreateTextFile(sGroupsDir & "\Groups.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("GroupUnq,DomainUnq,Name,Description,Type,Rotations,DateBegin")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("GroupUnq") & vbTab & rsDB("DomainUnq") & vbTab & rsDB("Name") & vbTab & rsDB("Description") & vbTab & rsDB("Type") & vbTab & rsDB("Rotations") & vbTab & rsDB("DateBegin"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Create the Image Gallery files.													*
	'*																					*
	'************************************************************************************
	Sub ImportImageGalleryFiles()
		Dim DBConnection
	
		Set DBConnection = Server.CreateObject("ADODB.Connection")
		DBConnection.Open DOMAIN_Conf("DSN_IMAGEGALLERY_NAME"), DOMAIN_Conf("DSN_IMAGEGALLERY_LOGIN"), DOMAIN_Conf("DSN_IMAGEGALLERY_PASSWORD")
		sSQLText = "SELECT * FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sIGDir & "\Galleries.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("DescriptionSize,GalleryUnq,AccountUnq,Domain,Name,Description,Visibility")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(Len(rsDB("Description")) & vbTab & rsDB("GalleryUnq") & vbTab & rsDB("AccountUnq") & vbTab & rsDB("Domain") & vbTab & rsDB("Name") & vbTab & rsDB("Description") & vbTab & rsDB("Visibility"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		sSQLText = "SELECT N.* FROM Galleries G (NOLOCK), ImagesInGallery N (NOLOCK) WHERE G.Domain = " & iDomainUnq & " AND G.GalleryUnq = N.GalleryUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sIGDir & "\ImagesInGallery.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("ImageUnq,GalleryUnq,AddDate")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("ImageUnq") & vbTab & rsDB("GalleryUnq") & vbTab & rsDB("AddDate"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		sSQLText = "SELECT I.* FROM Galleries G (NOLOCK), ImagesInGallery N (NOLOCK), Images I (NOLOCK) WHERE G.Domain = " & iDomainUnq & " AND G.GalleryUnq = N.GalleryUnq AND I.ImageUnq = N.ImageUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sIGDir & "\Images.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("CommentsSize,ImageUnq,Comments,AltTag,Image,Thumbnail,Rating,NumRaters,NumViews,ImageSize,XSize,YSize,ImageNum")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(Len(rsDB("Comments")) & vbTab & rsDB("ImageUnq") & vbTab & rsDB("Comments") & vbTab & rsDB("AltTag") & vbTab & rsDB("Image") & vbTab & rsDB("Thumbnail") & vbTab & rsDB("Rating") & vbTab & rsDB("NumRaters") & vbTab & rsDB("NumViews") & vbTab & rsDB("ImageSize") & vbTab & rsDB("XSize") & vbTab & rsDB("YSize") & vbTab & rsDB("ImageNum"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		Set DBConnection = Nothing
	End Sub
	'************************************************************************************


	
	'************************************************************************************
	'*																					*
	'*	Create the Radio files.															*
	'*																					*
	'************************************************************************************
	Sub ImportRadioFiles()
		Dim RadioConnection
	
		Set RadioConnection = Server.CreateObject("ADODB.Connection")
		RadioConnection.Open DOMAIN_Conf("DSN_RADIO_NAME"), DOMAIN_Conf("DSN_RADIO_LOGIN"), DOMAIN_Conf("DSN_RADIO_PASSWORD")
		sSQLText = "SELECT * FROM PlayLists (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, RadioConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sRadioDir & "\PlayLists.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("DescriptionSize,PlayListUnq,AccountUnq,Name,Description,Genre,Visibility,DomainUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(Len(rsDB("Description")) & vbTab & rsDB("PlayListUnq") & vbTab & rsDB("AccountUnq") & vbTab & rsDB("Name") & vbTab & rsDB("Description") & vbTab & rsDB("Genre") & vbTab & rsDB("Visibility") & vbTab & rsDB("DomainUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		sSQLText = "SELECT N.* FROM PlayLists P (NOLOCK), SongsInPL N (NOLOCK) WHERE P.DomainUnq = " & iDomainUnq & " AND P.PlayListUnq = N.PlayListUnq"
		rsDB.Open sSQLText, RadioConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sRadioDir & "\SongsInPL.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("SongUnq,PlayListUnq,AddDate")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("SongUnq") & vbTab & rsDB("PlayListUnq") & vbTab & rsDB("AddDate"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		sSQLText = "SELECT S.* FROM PlayLists P (NOLOCK), SongsInPL N (NOLOCK), Songs S (NOLOCK) WHERE P.DomainUnq = " & iDomainUnq & " AND P.PlayListUnq = N.PlayListUnq AND S.SongUnq = N.SongUnq"
		rsDB.Open sSQLText, RadioConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sRadioDir & "\Songs.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("DescriptionSize,SongUnq,Description,Rating,NumRaters,Artist,CD,FileName,Directory,Title,Year,Genre,Track,DomainUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(Len(rsDB("Description")) & vbTab & rsDB("SongUnq") & vbTab & rsDB("Description") & vbTab & rsDB("Rating") & vbTab & rsDB("NumRaters") & vbTab & rsDB("Artist") & vbTab & rsDB("CD") & vbTab & rsDB("FileName") & vbTab & rsDB("Directory") & vbTab & rsDB("Title") & vbTab & rsDB("Year") & vbTab & rsDB("Genre") & vbTab & rsDB("Track") & vbTab & rsDB("DomainUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		Set RadioConnection = Nothing
	End Sub
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	Create the Message Board files.													*
	'*																					*
	'************************************************************************************
	Sub ImportMsgBoardFiles()
		Dim RadioConnection
	
		Set DBConnection = Server.CreateObject("ADODB.Connection")
		DBConnection.Open DOMAIN_Conf("DSN_MSGBOARD_NAME"), DOMAIN_Conf("DSN_MSGBOARD_LOGIN"), DOMAIN_Conf("DSN_MSGBOARD_PASSWORD")
		sSQLText = "SELECT A.* FROM Admin A (NOLOCK), Conference C (NOLOCK) WHERE C.DomainUnq = " & iDomainUnq & " AND A.ConfUnq = C.ConfUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sMBDir & "\Admin.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("AccountUnq,ConfUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("AccountUnq") & vbTab & rsDB("ConfUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		sSQLText = "SELECT * FROM Conference (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sMBDir & "\Conference.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("DescriptionSize,SigSize,DomainUnq,ConfUnq,Parent,Name,NumThreads,NumChildren,Description,Sig")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(Len(rsDB("Description")) & vbTab & Len(rsDB("Sig")) & vbTab & rsDB("DomainUnq") & vbTab & rsDB("ConfUnq") & vbTab & rsDB("Parent") & vbTab & rsDB("Name") & vbTab & rsDB("NumThreads") & vbTab & rsDB("NumChildren") & vbTab & rsDB("Description") & vbTab & rsDB("Sig"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		sSQLText = "SELECT M.* FROM Conference C (NOLOCK), Message M (NOLOCK) WHERE C.DomainUnq = " & iDomainUnq & " AND C.ConfUnq = M.ConfUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sMBDir & "\Message.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("BodySize,MsgUnq,ThreadUnq,ConfUnq,Parent,AccountUnq,Subject,Body,DateChanged,NumReaders,Rating,NumRaters,FileLoc,FileName,FileSize,NumDownloads")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(Len(rsDB("Body")) & vbTab & rsDB("MsgUnq") & vbTab & rsDB("ThreadUnq") & vbTab & rsDB("ConfUnq") & vbTab & rsDB("Parent") & vbTab & rsDB("AccountUnq") & vbTab & rsDB("Subject") & vbTab & rsDB("Body") & vbTab & rsDB("DateChanged") & vbTab & rsDB("NumReaders") & vbTab & rsDB("Rating") & vbTab & rsDB("NumRaters") & vbTab & rsDB("FileLoc") & vbTab & rsDB("FileName") & vbTab & rsDB("FileSize") & vbTab & rsDB("NumDownloads"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		sSQLText = "SELECT E.* FROM Conference C (NOLOCK), Message M (NOLOCK), EmailNotifications E (NOLOCK) WHERE C.DomainUnq = " & iDomainUnq & " AND C.ConfUnq = M.ConfUnq AND M.ThreadUnq = E.ThreadUnq"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			Set fsoTextFile = fsoFileObject.CreateTextFile(sMBDir & "\EmailNotifications.txt", TRUE)
			fsoTextFile.WriteLine(CStr(SITEBEATER_VERSION))
			fsoTextFile.WriteLine("ThreadUnq,MsgUnq,AccountUnq")
			While ( NOT rsDB.EOF )
				' delimit with tab
				fsoTextFile.WriteLine(rsDB("ThreadUnq") & vbTab & rsDB("MsgUnq") & vbTab & rsDB("AccountUnq"))
				rsDB.MoveNext
			Wend
		End If
		rsDB.Close
		
		Set DBConnection = Nothing
	End Sub
	'************************************************************************************



	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ImportDomains.sAction.value = sAction;
				document.ImportDomains.submit();
			}
			
		</script>
		<center>
		<form name='ImportDomains' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aValues(0) = ""
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("DOMAINS_MANAGE_DOMAINS_IMPORT_TITLE")%></b></font>
					<br>
					<%=DOMAIN_Text("DOMAINS_MANAGE_DOMAINS_IMPORT_HEADER")%>
					<br><br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><b><%=DOMAIN_Text("DOMAINS_MANAGE_DOMAINS_IMPORT_DOMAIN")%></b></td>
							<td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><b><%=DOMAIN_Text("DOMAINS_MANAGE_DOMAINS_IMPORT_DESTPATH")%></b></td>
						</tr>
						<tr>
							<td><%Call DOMAINS_DomainsDropDown("SB_MD_IMPORT", "", "")%></td>
							<td><input type='text' name='sSourceDir' value='<%=sSourceDir%>' size=60></td>
						</tr>
					</table>
					<font size=-2>
					<%=DOMAIN_Text("DOMAINS_DOMAIN_IMPORT_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
%>