<%
	'************************************************************************************
	'*																					*
	'*	This saves the file (if any). This should only be called AFTER 					*
	'*		G_UPLOAD_RetrieveFileAndFormData().											*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_SaveFile(sFileFormName, iFileNum, sType, iDomainUnq)
		Dim sFilePath, sError, iTemp, fso, fldr, iHDSpaceLeft

		G_UPLOAD_SaveFile = ""
		aFileName(iFileNum)	= objUpload(sFileFormName).FileName
		If ( aFileName(iFileNum) <> "" ) Then
			' check to make sure that the file is not too big
			aFileSize(iFileNum)	= objUpload(sFileFormName).Length
			iHDSpaceLeft		= CDbl(G_ADMINISTRATION_HDSpaceLeft(iLoginAccountUnq, iDomainUnq))
			iTemp				= CDbl(Trim(G_ADMINISTRATION_MaxFileSize(iLoginAccountUnq, iDomainUnq)))
			If ( ( iTemp < aFileSize(iFileNum) ) And ( iTemp <> -1 ) ) Then
				sError = Replace(Replace(DOMAIN_Text("GALLERY_FILE_TOO_BIG"), "1:", aFileName(iFileNum)), "2:", iTemp)
			Else
				If ( ( iHDSpaceLeft - aFileSize(iFileNum) ) > 0 ) Or ( iHDSpaceLeft = -1 ) Then
					aExtension(iFileNum)	= objUpload(sFileFormName).FileExt
					aFileName(iFileNum)		= FixFilename(aFileName(iFileNum), sType)
					
					If ( sType = "THUMB" ) Then
						sFilePath	= "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\Thumbnails\" & aFileName(iFileNum)
					Else
						sFilePath	= "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\" & aFileName(iFileNum)
					End If
					sFilePath	= Replace(sFilePath, "\", "/")
					sFilePath	= Replace(sFilePath, "//", "/")
					' Make sure the directories exist...make them if they don't
					Set fso = CreateObject("Scripting.FileSystemObject")
					fldr = server.mappath("\" & sGalleryPath & "\")
					If (NOT fso.FolderExists(fldr)) Then
						fso.CreateFolder(fldr)
					End If
					fldr = server.mappath("\" & sGalleryPath & "\" & sAccountUnq & "\")
					If (NOT fso.FolderExists(fldr)) Then
						fso.CreateFolder(fldr)
					End If
					fldr = server.mappath("\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq)
					If (NOT fso.FolderExists(fldr)) Then
						fso.CreateFolder(fldr)
					End If
					fldr = server.mappath("\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\Thumbnails\")
					If (NOT fso.FolderExists(fldr)) Then
						fso.CreateFolder(fldr)
					End If
					Set fso = Nothing
					' save it
					objUpload(sFileFormName).SaveAs Server.MapPath(sFilePath)
					Select Case sType
						Case "PRIMARY"
							Call G_ADMINISTRATION_IncrementUL(iLoginAccountUnq, iDomainUnq)
							Call G_ADMINISTRATION_IncrementHDSpaceUsed(iLoginAccountUnq, aFileSize(iFileNum), iDomainUnq)
						Case "ALTERNATE", "THUMB"
							Call G_ADMINISTRATION_IncrementHDSpaceUsed(iLoginAccountUnq, aFileSize(iFileNum), iDomainUnq)
					End Select
				Else
					sError = Replace(DOMAIN_Text("GALLERY_NOMOREHDSPACE"), "1:", aFileName(iFileNum))
				End If
			End If
		End If
		G_UPLOAD_SaveFile = sError
	End Function
	'************************************************************************************


	
	'************************************************************************************
	'*																					*
	'*	This makes a thumbnail.															*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_MakeThumb(iFileNum, sThumbname, iDomainUnq)
		Dim objASPImage, sFilePath, intYSize, intXSize, fso, fldr, iFileSize, f
		
		G_UPLOAD_MakeThumb = ""

		If ( Trim(aFileName(iFileNum)) <> "" ) Then
			intXSize	= Int(DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_THUMBNAIL_WIDTH", iDomainUnq))
			sThumbname	= FixFilename(aFileName(iFileNum), "THUMB")
			sFilePath	= "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\"
			sFilePath	= Replace(sFilePath, "\", "/")
			sFilePath	= Replace(sFilePath, "//", "/")

			' Make sure the thumbnail directory exist...make it if it doesn't
			Set fso = server.CreateObject("Scripting.FileSystemObject")
			fldr = server.mappath(sFilePath & "Thumbnails\")
			If (NOT fso.FolderExists(fldr)) Then
				fso.CreateFolder(fldr)
			End If
			
			If ( iThumbComponent = ASPIMAGE ) Then
				Set objASPImage = Server.CreateObject("AspImage.Image")
				objASPImage.LoadImage(server.mappath(sFilePath & aFileName(iFileNum)))
				If ( (objASPImage.ImageFormat=1) Or (objASPImage.ImageFormat=2) Or (objASPImage.ImageFormat=3) ) And (objASPImage.MaxX>0) Then
					intYSize = Int((intXSize / objASPImage.MaxX) * objASPImage.MaxY)
					objASPImage.Resize intXSize, intYSize
					objASPImage.FileName = (server.mappath(sFilePath & "Thumbnails\" & sThumbname))
					objASPImage.SaveImage
				Else
					Response.Write "Unable to use ASPImage to create a thumbnail from the source image (" & sFilePath & aFileName(iFileNum) & ") file type.<br>"
				End If
				Set objASPImage = Nothing
			ElseIf ( iThumbComponent = GFL ) Then
				Set objASPImage = Server.CreateObject("GflAx.GflAx")
				objASPImage.EnableLZW = TRUE
				On Error Resume Next
				objASPImage.LoadBitmap(server.mappath(sFilePath & aFileName(iFileNum)))
				If ( Err.Number <> 0 ) Then
					G_UPLOAD_MakeThumb = "Unable to create thumbnail for file: <b>" & aFileName(iFileNum) & "</b>. The file type is not supported by the GflAx component.<br>"
				Else
					intYSize = Int((intXSize / objASPImage.Width) * objASPImage.Height)
					objASPImage.LoadThumbnail server.mappath(sFilePath & aFileName(iFileNum)), CDbl(intXSize), CDbl(intYSize)
					objASPImage.SaveFormat = 1
					objASPImage.SaveBitmap Server.MapPath(sFilePath & "Thumbnails\" & sThumbname)
				End If
				On Error Goto 0
				Set objASPImage = Nothing
			ElseIf ( iThumbComponent = PERSITS ) Then
				Set objASPImage = Server.CreateObject("Persits.Jpeg")
				'On Error Resume Next
				objASPImage.Open( server.mappath(sFilePath & aFileName(iFileNum)) )
				If ( Err.Number <> 0 ) Then
					G_UPLOAD_MakeThumb = "Unable to create thumbnail for file: <b>" & aFileName(iFileNum) & "</b>. The file type is not supported by the Persits component.<br>"
				Else
					objASPImage.Interpolation = 1
					objASPImage.Width = intXSize
					objASPImage.Height = objASPImage.OriginalHeight * intXSize / objASPImage.OriginalWidth
					objASPImage.Sharpen 1, 120
					objASPImage.Save Server.MapPath(sFilePath & "Thumbnails\" & sThumbname)
				End If
				On Error Goto 0
				Set objASPImage = Nothing
			End If
			
			' get the file size and increment the amount of HD space they are using
			sFilePath = server.mappath(sFilePath & "Thumbnails\" & sThumbname)
			If ( fso.FileExists(sFilePath) ) Then	
				Set f = fso.GetFile(sFilePath)
				iFileSize = f.size
				Set f = Nothing
				Call G_ADMINISTRATION_IncrementHDSpaceUsed(iLoginAccountUnq, iFileSize, iDomainUnq)
			End If
			Set fso = Nothing
		End If

	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Uses ASPImage to make a copy of the file sFileName.								*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_MakeFile(sFileName, sPixelsWide, sPercentWide, iFileNum, iOrigX, iOrigY, iDomainUnq)
		Dim objASPImage, intYSize, intXSize, sError, sFilePath, lf, f, iTtlUploaded, iHDSpaceLeft
		
		sFilePath			= "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\"
		sFilePath			= Replace(sFilePath, "\", "/")
		sFilePath			= Replace(sFilePath, "//", "/")

		' get the image dimensions
		If ( iThumbComponent = ASPIMAGE ) Then
			Set objASPImage = Server.CreateObject("AspImage.Image")
			objASPImage.LoadImage(server.mappath(sFilePath & sFileName))
			If ( (objASPImage.ImageFormat=1) Or (objASPImage.ImageFormat=2) Or (objASPImage.ImageFormat=3) ) And (objASPImage.MaxX>0) Then
				aXSize(iFileNum)	= objASPImage.MaxX
				aYSize(iFileNum)	= objASPImage.MaxY
			Else
				sError = DOMAIN_Text("GALLERY_ONLY_RESIZED")
			End If
		ElseIf ( iThumbComponent = GFL ) Then
			Set objASPImage = Server.CreateObject("GflAx.GflAx")
			objASPImage.EnableLZW = TRUE
			On Error Resume Next
			objASPImage.LoadBitmap(server.mappath(sFilePath & sFileName))
			If ( Err.Number <> 0 ) Then
				sError = DOMAIN_Text("GALLERY_ONLY_RESIZED_GFL")
			Else
				aXSize(iFileNum)	= objASPImage.Width
				aYSize(iFileNum)	= objASPImage.Height
			End If
			On Error Goto 0
		ElseIf ( iThumbComponent = PERSITS ) Then
			Set objASPImage = Server.CreateObject("Persits.Jpeg")
			On Error Resume Next
			objASPImage.Open( server.mappath(sFilePath & sFileName) )
			If ( Err.Number <> 0 ) Then
				sError = DOMAIN_Text("GALLERY_ONLY_RESIZED")
			Else
				aXSize(iFileNum)	= objASPImage.OriginalWidth
				aYSize(iFileNum)	= objASPImage.OriginalHeight
			End If
			On Error Goto 0
		End If
		
		' calculate the new dimensions of the image to create
		If ( sPixelsWide <> "" ) Then
			If ( IsNumeric(sPixelsWide) ) Then
				If ( CDbl(sPixelsWide) > 9999 ) Then
					sError = sError & DOMAIN_Text("GALLERY_NOBIGGERNTHAN9999")
				End If
			Else
				sError = sError & DOMAIN_Text("GALLERY_WIDTHMUSTBEINT")
			End If
			If ( sError = "" ) Then
				intXSize = CInt(sPixelsWide)
				intYSize = CInt((intXSize / aXSize(iFileNum)) * aYSize(iFileNum))
			End If
		ElseIf ( sPercentWide <> "" ) Then
			sPercentWide = Replace(sPercentWide, "%", "")
			If ( IsNumeric(sPercentWide) ) Then
				If ( CDbl(sPercentWide) > 500 ) Then
					sError = sError & DOMAIN_Text("GALLERY_NOMORETHAN500PERCENT")
				End If
			Else
				sError = sError & DOMAIN_Text("GALLERY_WIDTHMUSTBENUMERIC")
			End If
			If ( sError = "" ) Then
				If ( IsNumeric(sPercentWide) ) Then
					intXSize = CInt((CInt(sPercentWide)/100) * iOrigX)
					intYSize = CInt((CInt(sPercentWide)/100) * iOrigY)	' same calculation because in order to keep the aspect ratio, we must use the same % for both width and height
				Else
					sError = sError & DOMAIN_Text("GALLERY_INVALIDWIDTHPERCENT")
				End If
			End If
		Else
			' add one because the iFileNum starts at 0. users start at 1
			sError = sError & DOMAIN_Text("GALLERY_MISSINGWIDTH")
		End If
		
		
		' save the new image and update the users info
		If ( sError = "" ) Then
			sFileName			= iFileNum & "_" & sFileName
			aFileName(iFileNum)	= FixFilename(sFileName, "SECONDARY")	' this will make a unique name for this copy of the file in case prepending w/ iFileNum doesnt
			
			If ( iThumbComponent = ASPIMAGE ) Then
				objASPImage.Resize intXSize, intYSize
				objASPImage.FileName = (server.mappath(sFilePath & aFileName(iFileNum)))
				objASPImage.SaveImage
			ElseIf ( iThumbComponent = GFL ) Then
				objASPImage.Resize intXSize, intYSize
				objASPImage.SaveBitmap server.mappath(sFilePath & aFileName(iFileNum))
			ElseIf ( iThumbComponent = PERSITS ) Then
				objASPImage.Interpolation = 1
				objASPImage.Width = intXSize
				objASPImage.Height = intYSize
				objASPImage.Sharpen 1, 120
				objASPImage.Save server.mappath(sFilePath & aFileName(iFileNum))
			End If
			
			aXSize(iFileNum)	= CDbl(intXSize)
			aYSize(iFileNum)	= CDbl(intYSize)
			iHDSpaceLeft		= CDbl(G_ADMINISTRATION_HDSpaceLeft(iLoginAccountUnq, iDomainUnq))
			
			' get the file size and increment the HD space the user is using
			Set lf = server.createObject("Scripting.FileSystemObject")
			sFilePath = server.mappath(sFilePath & aFileName(iFileNum))
			If ( lf.FileExists(sFilePath) ) Then	
				Set f = lf.GetFile(sFilePath)
				aFileSize(iFileNum) = f.size
				
				' check to make sure the user doesn't exceed their hard disk space limitations
				If ( ( iHDSpaceLeft - aFileSize(iFileNum) ) > 0 ) Or ( iHDSpaceLeft = -1 ) Then
					Call G_ADMINISTRATION_IncrementHDSpaceUsed(iLoginAccountUnq, aFileSize(iFileNum), iDomainUnq)
				Else
					' must del the file and report an error
					f.Delete
					sError = Replace(DOMAIN_Text("GALLERY_NOMOREHDSPACE"), "1:", aFileName(iFileNum))
				End If
				Set f = Nothing
			End If
			Set lf = Nothing
		End If
		
		Set objASPImage = Nothing
		G_UPLOAD_MakeFile = sError
		
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Uses ASPImage to get the dimensions of the image.								*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_GetDimensions(iFileNum)
		Dim sFilePath, objASPImage
		
		G_UPLOAD_GetDimensions = ""
		sFilePath = "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\"
		sFilePath = Replace(sFilePath, "\", "/")
		sFilePath = Replace(sFilePath, "//", "/")
		
		If ( iThumbComponent = ASPIMAGE ) Then
			Set objASPImage = Server.CreateObject("AspImage.Image")
			objASPImage.LoadImage(server.mappath(sFilePath & aFileName(iFileNum)))
			If ( (objASPImage.ImageFormat=1) Or (objASPImage.ImageFormat=2) Or (objASPImage.ImageFormat=3) ) And (objASPImage.MaxX>0) Then
				aXSize(iFileNum)	= objASPImage.MaxX
				aYSize(iFileNum)	= objASPImage.MaxY
			Else
				' this should be ok because sometimes people might not upload images...and those files do not have a "width"
				'G_UPLOAD_GetDimensions = "Invalid or missing width of image number " & iFileNum+1 & ".<BR>"
			End If
			Set objASPImage = Nothing
		ElseIf ( iThumbComponent = GFL ) Then
			Set objASPImage = Server.CreateObject("GflAx.GflAx")
			objASPImage.EnableLZW = TRUE
			On Error Resume Next
			objASPImage.LoadBitmap(server.mappath(sFilePath & aFileName(iFileNum)))
			If ( Err.Number <> 0 ) Then
				' this should be ok because sometimes people might not upload images...and those files do not have a "width"
			Else
				aXSize(iFileNum)	= objASPImage.Width
				aYSize(iFileNum)	= objASPImage.Height
			End If
			On Error Goto 0
			Set objASPImage = Nothing
			
		ElseIf ( iThumbComponent = PERSITS ) Then
			Set objASPImage = Server.CreateObject("Persits.Jpeg")
			On Error Resume Next
			objASPImage.Open( server.mappath(sFilePath & aFileName(iFileNum)) )
			If ( Err.Number <> 0 ) Then
				' this should be ok because sometimes people might not upload images...and those files do not have a "width"
			Else
				aXSize(iFileNum)	= objASPImage.OriginalWidth
				aYSize(iFileNum)	= objASPImage.OriginalHeight
			End If
			On Error Goto 0
			Set objASPImage = Nothing
		End If
		
	End Function
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	Looks for and deletes any files and/or thumbnails.								*
	'*																					*
	'************************************************************************************
	Sub G_UPLOAD_DelFiles(iImageUnq, bClearDB)
		Dim rsImageGallery, sSQLText, sFilePath, lf, sFileID, iFileSize, f, iTtlUploaded, iNumUploaded, x
		Dim sAccountUnq, iGalleryUnq
		Dim aImages(6)
		Dim aUL(6)
		
		Set rsImageGallery = Server.CreateObject("ADODB.recordset")
		' get the file info for all the files (up to five main and one thumbnail) to delete
		sSQLText = "SELECT I.Image, I.Thumbnail, I.Image2, I.Image3, I.Image4, I.Image5, I.ImageUL, I.ThumbUL, I.Alt2UL, I.Alt3UL, I.Alt4UL, I.Alt5UL, G.GalleryUnq, G.Domain, G.AccountUnq FROM Images I (NOLOCK), ImagesInGallery IG (NOLOCK), Galleries G (NOLOCK) WHERE I.ImageUnq = " & iImageUnq & " AND I.ImageUnq = IG.ImageUnq AND IG.GalleryUnq = G.GalleryUnq"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			aImages(0)	= Trim(rsImageGallery("Image"))
			aImages(1)	= Trim(rsImageGallery("Thumbnail"))
			aImages(2)	= Trim(rsImageGallery("Image2"))
			aImages(3)	= Trim(rsImageGallery("Image3"))
			aImages(4)	= Trim(rsImageGallery("Image4"))
			aImages(5)	= Trim(rsImageGallery("Image5"))
			
			aUL(0)		= Trim(rsImageGallery("ImageUL"))
			aUL(1)		= Trim(rsImageGallery("ThumbUL"))
			aUL(2)		= Trim(rsImageGallery("Alt2UL"))
			aUL(3)		= Trim(rsImageGallery("Alt3UL"))
			aUL(4)		= Trim(rsImageGallery("Alt4UL"))
			aUL(5)		= Trim(rsImageGallery("Alt5UL"))
			
			sAccountUnq = Trim(rsImageGallery("AccountUnq"))
			iGalleryUnq = Trim(rsImageGallery("GalleryUnq"))
			For x = 0 to 5
				' delete the files
				Set lf = server.createObject("Scripting.FileSystemObject")
				If ( x = 1 ) Then
					' its the thumbnail
					sFilePath = "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\Thumbnails\" & aImages(x)
				Else
					sFilePath = "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\" & aImages(x)
				End If
				sFilePath = Replace(sFilePath, "\", "/")
				sFilePath = Replace(sFilePath, "//", "/")
				sFilePath = Server.MapPath(sFilePath)
				If ( lf.FileExists(sFilePath) ) Then	
					Set f = lf.GetFile(sFilePath)
					iFileSize = f.size
					Set f = Nothing
					
					' the file exists - delete it
					lf.DeleteFile(sFilePath)
					
					' subtract the num of bytes of the file from the users ttl uploaded bytes
					If ( aUL(x) <> "0" ) Then
						Call G_ADMINISTRATION_IncrementHDSpaceUsed(aUL(x), (-1 * iFileSize), rsImageGallery("Domain"))
					End If
				End If
			Next
			
			' subtract one from the number of files they have uploaded - only do this once because it's based on image entry in the db, not actual images
			iNumUploaded = Trim(ACCNT_ReturnADV_W_DomainUnq("SB_IG_NUMUPLOADED", "V", aUL(0), 7, "PRIVATE", rsImageGallery("Domain")))
			If ( iNumUploaded <> "" ) Then
				iNumUploaded = CDbl(iNumUploaded)
			Else
				iNumUploaded = 0
			End If
			If ( iNumUploaded > 0 ) Then
				iNumUploaded = iNumUploaded - 1
			End If
			Call ACCNT_WriteADV("SB_IG_NUMUPLOADED", iNumUploaded, "V", aUL(0), rsImageGallery("Domain"), "PRIVATE")
			
			If ( bClearDB ) Then
				' clear the columns associated with the files
				DBConnection.Execute "DELETE FROM Images WHERE ImageUnq = " & iImageUnq
				DBConnection.Execute "DELETE FROM ImagesInGallery WHERE ImageUnq = " & iImageUnq
				DBConnection.Execute "DELETE FROM IGECards WHERE ImageUnq = " & iImageUnq
				DBConnection.Execute "DELETE FROM IGImageCRs WHERE ImageUnq = " & iImageUnq
				DBConnection.Execute "DELETE FROM IGImageProds WHERE ImageUnq = " & iImageUnq
				DBConnection.Execute "DELETE FROM IGMiscLinks WHERE ImageUnq = " & iImageUnq
				DBConnection.Execute "DELETE FROM IGSearchResults WHERE ImageUnq = " & iImageUnq
				DBConnection.Execute "DELETE FROM IGRaters WHERE ImageUnq = " & iImageUnq
			End If
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This saves the catalog image. This should only be called AFTER 					*
	'*		G_UPLOAD_RetrieveFileAndFormData().											*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_SaveCatalogFile(iCategoryUnq, iDomainUnq)
		Dim sFilePath, sError, sFileName, iFileSize, iTemp
		
		Call DelOldCatFiles(iCategoryUnq, iDomainUnq)

		sFileName	= objUpload("File1").FileName
		If ( sFileName <> "" ) Then
			' check to make sure that:
			'		the file is not too big
			iFileSize	= objUpload("File1").Length
			iTemp		= CDbl(Trim(G_ADMINISTRATION_MaxFileSize(iLoginAccountUnq, iDomainUnq)))
			If ( ( iTemp < iFileSize ) And ( iTemp <> -1 ) ) Then
				sError = Replace(Replace(DOMAIN_Text("GALLERY_FILE_TOO_BIG"), "1:", aFileName(0)), "2:", iTemp)
				Call DOMAIN_Message(sError, "ERROR")
			Else
				sFilePath = "/" & DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_CAT_IMAGE_LOC", iDomainUnq) & "/" & "CatImage_" & iCategoryUnq & ".jpg"
				sFilePath = Replace(sFilePath, "\", "/")
				sFilePath = Replace(sFilePath, "//", "/")
				
				objUpload("File1").SaveAs Server.MapPath(sFilePath)
			End If
		End If
		
		G_UPLOAD_SaveCatalogFile = sError
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This deletes the old catalog image.												*
	'*																					*
	'************************************************************************************
	Sub DelOldCatFiles(iCategoryUnq, iDomainUnq)
		Dim sFilePath, lf
		
		If ( iCategoryUnq <> "" ) Then
			' delete the file
			Set lf = server.createObject("Scripting.FileSystemObject")
			sFilePath = "/" & DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_CAT_IMAGE_LOC", iDomainUnq) & "/" & "CatImage_" & iCategoryUnq & ".jpg"
			sFilePath = Replace(sFilePath, "\", "/")
			sFilePath = Replace(sFilePath, "//", "/")
			sFilePath = Server.MapPath(sFilePath)
			If ( lf.FileExists(sFilePath) ) Then
				' the file exists - delete it
				lf.DeleteFile(sFilePath)
			End If
		End If
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	This deletes the file passed in. The path to the file from the web root must be	*
	'*		passed in.																	*
	'*																					*
	'************************************************************************************
	Sub DelAnyFile(sFilePath, iDomainUnq, sAccountUnq)
		Dim lf, f, iFileSize
		
		If ( sFilePath <> "" ) Then
			sFilePath = Replace(sFilePath, "\", "/")
			sFilePath = Replace(sFilePath, "//", "/")
			sFilePath = Server.MapPath(sFilePath)
			
			Set lf = server.createObject("Scripting.FileSystemObject")
			If ( lf.FileExists(sFilePath) ) Then	
				Set f = lf.GetFile(sFilePath)
				iFileSize = f.size
				Set f = Nothing
				
				' the file exists - delete it
				lf.DeleteFile(sFilePath)
				
				' subtract the num of bytes of the file from the users ttl uploaded bytes
				Call G_ADMINISTRATION_IncrementHDSpaceUsed(sAccountUnq, (-1 * iFileSize), iDomainUnq)
			End If
			Set lf = Nothing
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This simply verifies that the file is a type that the image component that's	*
	'*		installed can work with.													*
	'*																					*
	'************************************************************************************
	Function VerifyFileType(sFileName)
		Dim objASPImage, iTemp
	
		If ( iThumbComponent = ASPIMAGE ) Then
			Set objASPImage = Server.CreateObject("AspImage.Image")
			objASPImage.LoadImage(server.mappath(sFileName))
			If ( (objASPImage.ImageFormat=1) Or (objASPImage.ImageFormat=2) Or (objASPImage.ImageFormat=3) ) And (objASPImage.MaxX>0) Then
				VerifyFileType = TRUE
			End If
			Set objASPImage = Nothing
		ElseIf ( iThumbComponent = GFL ) Then
			objASPImage.LoadBitmap(server.mappath(sFileName))
			iTemp = objASPImage.SaveFormat
			If ( ( iTemp > 0 ) And ( iTemp < 50 ) ) Then
				VerifyFileType = TRUE
			End If
		ElseIf ( iThumbComponent = PERSITS ) Then
			Set objASPImage = Server.CreateObject("Persits.Jpeg")
			On Error Resume Next
			objASPImage.Open( server.mappath(sFileName) )
			If ( Err.Number <> 0 ) Then
				VerifyFileType = False
			Else
				VerifyFileType = TRUE
			End If
		End If
	
	End Function
	'************************************************************************************
%>