<%
	'************************************************************************************
	'*																					*
	'*	Enters in the rights.															*
	'*																					*
	'************************************************************************************
	Sub SetRights()
		' the first part of the rights level (the numeric part) is the domain associated with the rights
		' the second part of the rights level (the character part) is the specific action or item associated with the right
		'	such as being able to delete an account or edit ADV's
		'IMAGE GALLERY
		'	Create Galleries										SB_IG_CREATE_GALLERY
		'	Admin all galleries										SB_IG_ADMIN_ALL
		
		'	Add Categories											SB_IG_ADD_CAT
		'	Edit Categories											SB_IG_EDIT_CAT
		'	Delete Categories										SB_IG_DEL_CAT
		
		'	Add images in bulk										SB_IG_BULK
		'	Add images in bulk via a zip archive					SB_IG_BULK_ZIP
		
		'	View past log - Gallery									SB_LOG_VIEW_7
		'	Delete past log - Gallery								SB_LOG_DELETE_7
		'	Rollback log - Gallery									SB_LOG_ROLLBACK_7
		
		'	Add copyrights											SB_IG_ADD_CR
		'	Edit copyrights											SB_IG_EDIT_CR
		'	Del copyrights											SB_IG_DEL_CR
		'	Add copyrights to images								SB_IG_ADD_CR_2IMAGES
		
		'	Add PL													SB_IG_ADD_PL
		'	Edit PL													SB_IG_EDIT_PL
		'	Del PL													SB_IG_DEL_PL
		'	Add products not in a PL								SB_IG_ADD_PROD
		'	Edit products not in a PL								SB_IG_EDIT_PROD
		'	Del products not in a PL								SB_IG_DEL_PROD
		'	Add/Edit/Del Product(s) associated w/ images			SB_IG_ADD_PROD_2IMAGES
		'	Add/Edit/Del Product(s) associated w/ galleries			SB_IG_ADD_PROD_2GALLERIES
		'	Add/Edit/Del Product(s) associated w/ categories		SB_IG_ADD_PROD_2CATEGORIES
		
		'	Assign message board thread to image					SB_IG_IMAGE_MB
		'	Assign message board thread to gallery					SB_IG_GALLERY_MB
		
		'	View Alt image 1										SB_IG_ALT_1
		'	View Alt image 2										SB_IG_ALT_2
		'	View Alt image 3										SB_IG_ALT_3
		'	View Alt image 4										SB_IG_ALT_4
		
		'	Add custom fields to images								SB_IG_ADD_CF_IMAGE
		'	Edit image custom field data							SB_IG_EDIT_CF_DATA_IMAGE
		'	Edit image custom fields								SB_IG_EDIT_CF_IMAGE
		'	Delete image custom fields								SB_IG_DEL_CF_IMAGE
		
		'	Add custom fields to galleries							SB_IG_ADD_CF_GALLERY
		'	Edit gallery custom field data							SB_IG_EDIT_CF_DATA_GALLERY
		'	Edit gallery custom fields								SB_IG_EDIT_CF_GALLERY
		'	Delete gallery custom fields							SB_IG_DEL_CF_GALLERY
		
		'	Add custom fields to categories							SB_IG_ADD_CF_CAT
		'	Edit category custom field data							SB_IG_EDIT_CF_DATA_CAT
		'	Edit category custom fields								SB_IG_EDIT_CF_CAT
		'	Delete category custom fields							SB_IG_DEL_CF_CAT
		
		'	Add galleries to no category							SB_IG_ADD_TO_NO_CAT
		
		'	Modify EZPrints status on images						SB_IG_EZPRINTS_IMAGES
		'	Modify EZPrints status on galleries						SB_IG_EZPRINTS_GALLERIES
		'	Modify EZPrints status on categories					SB_IG_EZPRINTS_CATEGORIES
		
		'	Can reference images in multiple galleries				SB_IG_REF_GALLERY
		'	Can reference images in multiple galleries & cross-domain	SB_IG_REF_DOMAIN
		
		'	Can add watermarks to images							SB_IG_ADD_WATERMARK
		'	Can manipulate images									SB_IG_MANIPULATE_IMAGE
		
		
		'CONFIGURATION VARIABLES
		'	Change Galleries System Color:							SB_MC_CHANGE_GALLERY_COLORS
		'	View Galleries System Color:							SB_MC_VIEW_GALLERY_COLORS
		'	Change Galleries System Text:							SB_MC_CHANGE_GALLERY_TEXT
		'	View Galleries System Text:								SB_MC_VIEW_GALLERY_TEXT
		'	Change SB_MAX_DOMAIN_IMAGES conf var:					SB_CONF_EDIT_MAX_DOMAIN_IMAGES
		'	View SB_MAX_DOMAIN_IMAGES conf var:						SB_CONF_VIEW_MAX_DOMAIN_IMAGES
		'	Change SB_MAX_DOMAIN_GALLERIES conf var:				SB_CONF_EDIT_MAX_DOMAIN_GALLERIES
		'	View SB_MAX_DOMAIN_GALLERIES conf var:					SB_CONF_VIEW_MAX_DOMAIN_GALLERIES

	
		' If these next two lines error-out, the most likely cause is that the SB_Accounts SQL login doesn't have rights DB_DataReader rights in the
		'	SB_Domains database. Make sure they are set.
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_CREATE_GALLERY','Create New Image Galleries',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADMIN_ALL','Administer all Galleries for a domain',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_CAT','Create New Image Gallery Categories',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_CAT','Edit Image Gallery Categories',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_DEL_CAT','Delete Image Gallery Categories',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_BULK','Rights to add images to galleries in bulk.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_BULK_ZIP','Rights to add images to galleries in bulk via a zip archive.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_VIEW_7','View past log entries - Gallery',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_DELETE_7','Delete past log entries - Gallery',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_ROLLBACK_7','Rollback log - Gallery',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_CR','Add copyrights to the list of available copyrights.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_CR','Edit copyrights in the list of available copyrights.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_DEL_CR','Delete copyrights from the list of available copyrights.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_CR_2IMAGES','Associate copyrights with images.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_PL','Add PLs.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_PL','Edit PLs.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_DEL_PL','Delete PLs.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_PROD','Add products not in a PL.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_PROD','Edit products not in a PL.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_DEL_PROD','Delete products not in a PL.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_PROD_2IMAGES','Manage Product(s) associated w/ images.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_PROD_2GALLERIES','Manage Product(s) associated w/ galleries.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_PROD_2CATEGORIES','Manage Product(s) associated w/ categories.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_IMAGE_MB','Assign message board thread to an image.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_GALLERY_MB','Assign message board thread to a gallery.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ALT_1','Rights to view the first alternate image.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ALT_2','Rights to view the second alternate image.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ALT_3','Rights to view the third alternate image.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ALT_4','Rights to view the fourth alternate image.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_TO_NO_CAT','Rights to add galleries to no category.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_CF_IMAGE','Add custom fields to images',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_CF_DATA_IMAGE','Edit image custom field data',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_CF_IMAGE','Edit image custom fields',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_DEL_CF_IMAGE','Delete image custom fields',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_CF_GALLERY','Add custom fields to galleries',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_CF_DATA_GALLERY','Edit gallery custom field data',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_CF_GALLERY','Edit gallery custom fields',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_DEL_CF_GALLERY','Delete gallery custom fields',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_CF_CAT','Add custom fields to categories',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_CF_DATA_CAT','Edit category custom field data',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EDIT_CF_CAT','Edit category custom fields',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_DEL_CF_CAT','Delete category custom fields',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EZPRINTS_IMAGES','Rights to modify EZPrints status on images.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EZPRINTS_GALLERIES','Rights to modify EZPrints status on galleries.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_EZPRINTS_CATEGORIES','Rights to modify EZPrints status on categories.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_REF_GALLERY','Rights to reference images in multiple galleries.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_REF_DOMAIN','Rights to reference images in multiple galleries & cross-domain.',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_ADD_WATERMARK','Rights to add watermarks to images.',7 FROM DomainInfo"
'		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_IG_MANIPULATE_IMAGE','Rights to manipulate images.',7 FROM DomainInfo"
		
		' conf var rights
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_CHANGE_GALLERY_COLORS','Edit the IMAGEGALLERY_COLORS Configuration Variable',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_VIEW_GALLERY_COLORS','View the IMAGEGALLERY_COLORS Configuration Variable',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_CHANGE_GALLERY_TEXT','Edit the IMAGEGALLERY_TEXT Configuration Variable',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_VIEW_GALLERY_TEXT','View the IMAGEGALLERY_TEXT Configuration Variable',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_EDIT_MAX_DOMAIN_IMAGES','Edit the SB_MAX_DOMAIN_IMAGES Configuration Variable',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_VIEW_MAX_DOMAIN_IMAGES','View the SB_MAX_DOMAIN_IMAGES Configuration Variable',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_EDIT_MAX_DOMAIN_GALLERIES','Edit the SB_MAX_DOMAIN_GALLERIES Configuration Variable',7 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_VIEW_MAX_DOMAIN_GALLERIES','View the SB_MAX_DOMAIN_GALLERIES Configuration Variable',7 FROM DomainInfo"

		

		' Give the admin ALL rights
		DBConnection.Execute "INSERT INTO RIGHTS SELECT DISTINCT 1,0,7,DomainUnq,RightsLvl,GetDate(),NULL FROM RightsLookup WHERE SystemUnq = 7"
		
		' Give the admin group ALL rights too
		DBConnection.Execute "INSERT INTO RIGHTS SELECT DISTINCT 0,1,7,DomainUnq,RightsLvl,GetDate(),NULL FROM RightsLookup WHERE SystemUnq = 7"
		
	End Sub
	'************************************************************************************
%>