<%

	'************************************************************************************
	'************************************************************************************
	'*								Function/Sub Prototypes				 				*
	'************************************************************************************
	'************************************************************************************
	'	Sub DB_OpenAccounts()
	'	Sub DB_CloseAccounts()
	'	Sub INIT_LoginDetect()
	'	Function ACCNT_ReturnRights(iRightsLvl)
	'		Plain vanilla. Returns TRUE or FALSE depending on if the current user has
	'		the rights passed it on the current domain.
	'	Function ACCNT_SpecificDomain(iRightsLvl, iDomainUnq)
	'		Returns TRUE or FALSE depending on if the current user has the rights
	'		passed it on the DomainUnq passed it. Generally used to check to make sure
	'		the current user has the rights to edit something cross-domain.
	'	Function ACCNT_AnyDomain(iRightsLvl)
	'		Returns TRUE or FALSE depending on if the current user has the rights
	'		passed it on ANY domain. Generally used to check if a link should be
	'		displayed to a page with cross-domain functionality. The user might not
	'		have the right on the current domain, but they might on another domain
	'		that would show up in the form on the page linked to.
	'	Function ACCNT_GetDomainW_Rights(sRightsConst1, sRightsConst2, sRightsConst3)
	'		Returns the first DomainUnq found with any of the three Rights Constants
	'		passed the function. This is generally used to populate the iDomainUnq
	'		on pages where it's not known if the user has rights to the current
	'		domain or not.
	'	Function ACCNT_SystemRights(iSystemUnq)
	'		This is kind of a catch-all. It returns TRUE or FALSE depending on if
	'		the current user has ANY rights in the SystemUnq passed it on the current
	'		domain. It's good for checking to see if links should be displayed. Like,
	'		displaying a link to the Accounts or Domains or CMS. It also checks
	'		that information in Rotational Groups.
	'	Function ACCNT_ReturnSystemUnq(sSystemConst)
	'		Returns the SystemUnq for a System Constant passed it.
	'	Function ACCNT_CreateRightsLvl(sRightLvl, sSystemUnq, iDomainUnq, sRightsConst)
	'		Creates a new rights level for the specified system and domain.
	'		Returns TRUE if it was able to, or FALSE if not. Checks to make sure
	'		the rights level doesn't already exist for that domain (unique to domain,
	'		not system).
	'	Function ACCNT_UserName(iAccountUnq)
	'		Returns the user's login name from the AccountUnq - mostly used in the MsgBoard
	'	Sub ACCNT_WriteADV(sADV, sValue, sType, iAccountUnq, iDomainUnq)
	'		Writes a value to an ADV.
	'	Function ACCNT_ReturnADV(sADV, sType, iAccountUnq, iSystemUnq, sViewLvl)
	'		Returns an ADV.												
	'			This lets you pass in an AccountUnq so you can get things from other		
	'			accounts, so this is very powerful -- careful when using it that noone can	
	'			get it to pass a security breaching AccountUnq.								
	'	Function ACCNT_ReturnVisibility(sADV, iAccountUnq)
	'		Returns PUBLIC if the ADV passed it has been set as 			
	'			publically visible for the user currently logged in.						
	'		Returns PRIVATE otherwise.															
	'************************************************************************************

	Dim iAccountsColorScheme
	
	'************************************************************************************
	'*																					*
	'*	Open the connection and command objects for the Accounts database.	 			*
	'*																					*
	'************************************************************************************
	Sub DB_OpenAccounts()
	
		iAccountsColorScheme = DOMAIN_Conf("ACCOUNTS_COLORS")
		Set dSpecificDomain	= CreateObject("Scripting.Dictionary")		' this is to cache values from the ACCNT_SpecificDomain function
		Set dSystemRights	= CreateObject("Scripting.Dictionary")		' this is to cache values from the ACCNT_SystemRights function

	End Sub
	
	
	'************************************************************************************
	'*																					*
	'*	Close the connection and command objects for the databases.			 			*
	'*																					*
	'************************************************************************************
	Sub DB_CloseAccounts()
		SET DBConnection = nothing
		SET DBCommand = nothing
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	Sets the global var telling if the person is logged in or not.					*
	'*																					*
	'************************************************************************************
	Sub INIT_LoginDetect()
		Dim sSQLText, cLogin, cPassword, cAccountUnq, cAutoLogin, sSql, rsDB, bEnd, bFirstCheck, sError

		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "EXEC INIT_LoginDetect @sPrintMe = 'Y',@sOwnTrans = 'N',@sLogin = '" & SQLEncode(Request.Cookies("GAL" & iDomainName)) & "', @sPassword = '" & SQLEncode(Request.Cookies("GAP" & iDomainName)) & "', @iDomainName = " & iDomainName & ", @sGroupType = '', @sGlobalRotations = 0, @sGlobalDateBegin = 0, @sGlobalGroupUnq = 0,	@sGlobalPosition = 0, @iGlobalNumDays = 0, @iLoginAccountUnq = -1, @bHasAccount = 'N'"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then

			iLoginAccountUnq = NONMEMBER_ID
			bHasAccount = FALSE
			' if the login/pw combo for the cookies you have isn't in the database, this clears them out so you don't keep trying to
			'	login using them.
			Response.Cookies("GAL" & iDomainName) = ""
			Response.Cookies("GAL" & iDomainName).Path = "/"
			Response.Cookies("GAL" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
			Response.Cookies("GAL" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
			Response.Cookies("GAP" & iDomainName) = ""
			Response.Cookies("GAP" & iDomainName).Path = "/"
			Response.Cookies("GAP" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
			Response.Cookies("GAP" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
			Response.Cookies("GAA" & iDomainName) = ""
			Response.Cookies("GAA" & iDomainName).Path = "/"
			Response.Cookies("GAA" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
			Response.Cookies("GAA" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
			Response.Cookies("GAAuto" & iDomainName) = ""
			Response.Cookies("GAAuto" & iDomainName).Path = "/"
			Response.Cookies("GAAuto" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
			Response.Cookies("GAAuto" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
		Else
			bHasAccount = Trim(UCase(rsDB("bHasAccount")))
			If ( bHasAccount = "Y" ) Then
				bHasAccount			= TRUE
				iLoginAccountUnq	= Trim(rsDB("iLoginAccountUnq"))
				sGroupType			= Trim(rsDB("sGroupType"))
				sGlobalRotations	= Trim(rsDB("sGlobalRotations"))
				sGlobalDateBegin	= Trim(rsDB("sGlobalDateBegin"))
				sGlobalGroupUnq		= Trim(rsDB("sGlobalGroupUnq"))
				sGlobalPosition		= Trim(rsDB("sGlobalPosition"))
				iGlobalNumDays		= Trim(rsDB("iGlobalNumDays"))
			Else
				' cannot clear the cookies here...it seems to be that you can't set then read cookies in the same page load as is happening
				'	when you login...so it always comes here...almost like it's executing out of order, or maybe the cookies have to
				'	"settle" for a moment...??
				bHasAccount			= FALSE
				iLoginAccountUnq	= NONMEMBER_ID
			End If
		End If
		rsDB.Close
		Set rsDB = Nothing

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if the user has the Rights Level only on the current domain.		*
	'*																					*
	'************************************************************************************
	Function ACCNT_ReturnRights(iRightsLvl)
		Dim sSQLText, rsDB
		Dim sNewRotations, sTotal, iCount, sTempTotal, iTotalDays, sTempDate

		If ( bHasAccount ) Then
			Set rsDB = CreateObject("ADODB.Recordset")
			sSQLText = "EXEC ACCNT_ReturnRights @sPrintMe = 'Y',@sOwnTrans = 'N',@iRightsLvl = '" & SQLEncode(iRightsLvl) & "', @iLoginAccountUnq = " & iLoginAccountUnq & ", @sGroupType = '" & sGroupType & "', @bHasAccount = " & bHasAccount & ", @iDomainName = " & iDomainName & ", @sGlobalRotations = " & sGlobalRotations & ", @sGlobalDateBegin = '" & DOMAIN_FormatDate(sGlobalDateBegin, "L") & "', @sGlobalGroupUnq = " & sGlobalGroupUnq & ", @sGlobalPosition = " & sGlobalPosition & ", @iGlobalNumDays = " & iGlobalNumDays
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( rsDB.EOF ) Then
				ACCNT_ReturnRights = FALSE
			Else
				If ( rsDB("sHasRight") = "Y" ) Then
					ACCNT_ReturnRights = TRUE
				Else
					ACCNT_ReturnRights = FALSE
				End If
			End If
			rsDB.Close
			Set rsDB = Nothing
		Else
			ACCNT_ReturnRights = FALSE
		End If
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if a user has the Rights Level on the DomainUnq passed to it.		*
	'*	This is used when checking to see if they have the rights to edit another 		*
	'*		domain's information.														*
	'*																					*
	'************************************************************************************
	Function ACCNT_SpecificDomain(iRightsLvl, iDomainUnq)
		Dim sSQLText, rsDB

		Set rsDB = CreateObject("ADODB.Recordset")
		If ( bHasAccount ) Then
			If ( iDomainUnq <> "" ) Then
				' check to see if it's cached in the dSpecificDomain Dictionary object
				If ( dSpecificDomain.Exists(iDomainUnq & "_" & iRightsLvl) ) Then
					ACCNT_SpecificDomain = dSpecificDomain.Item(iDomainUnq & "_" & iRightsLvl)
				Else
					' iRightsLvl can be blank - it is many times when requesting ADV information that don't have any Right Lvl associated with them
					If ( Trim(sGroupType) = "S" ) Or ( Trim(sGroupType) = "" ) Then
						' they are in a Standard Group or no Group at all
						sSQLText = "SELECT AccountUnq, RightsLvl FROM Rights (NOLOCK) WHERE RightsLvl = '" & iRightsLvl & "' AND AccountUnq = " & iLoginAccountUnq & " AND DomainUnq = " & iDomainUnq & " AND (RevokeDate IS NULL OR RevokeDate < GrantDate) UNION SELECT R.AccountUnq, R.RightsLvl FROM Rights R (NOLOCK), GroupMap M (NOLOCK), Groups G (NOLOCK) WHERE G.Type = 'S' AND G.GroupUnq = M.GroupUnq AND M.GroupUnq = R.GroupUnq AND M.AccountUnq = " & iLoginAccountUnq & " AND M.DomainUnq = " & iDomainUnq & " AND G.DomainUnq = M.DomainUnq AND R.DomainUnq = " & iDomainUnq & " AND (R.RevokeDate IS NULL OR R.RevokeDate < R.GrantDate) AND R.RightsLvl = '" & iRightsLvl & "'"
						rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( rsDB.EOF ) Then
							ACCNT_SpecificDomain = FALSE
						Else
							ACCNT_SpecificDomain = TRUE
						End If
						rsDB.Close
					ElseIf ( Trim(sGroupType) = "R" ) Then
						' They are in a Rotational Group - you can only be in ONE Rotational Group - even across domains.
						ACCNT_SpecificDomain = ACCNT_ReturnRights(iRightsLvl)
					End If
					dSpecificDomain.Add iDomainUnq & "_" & iRightsLvl, ACCNT_SpecificDomain	' cache it in the dictionary object
				End If
			Else
				ACCNT_SpecificDomain = FALSE
				Call DOMAIN_Message(DOMAIN_Text("ACCNT_SpecificDomain_NO_DOMAIN"), "ERROR")
			End If
		Else
			ACCNT_SpecificDomain = FALSE
		End If
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if a user has thr Rights Level on ANY Domain.						*
	'*	This is used when displaying buttons to edit info. Sometimes a person doesn't	*
	'*		have rights on the current domain, but they do on another domain and that	*
	'*		domain will show up in a selection on the page the button accesses, 		*
	'*		therefore we need to allow them access to that page.						*
	'*																					*
	'************************************************************************************
	Function ACCNT_AnyDomain(iRightsLvl)
		Dim sSQLText, rsDB
		
		Set rsDB = CreateObject("ADODB.Recordset")
		If ( bHasAccount ) Then
			If ( sGroupType = "S" ) Or ( sGroupType = "" ) Then
				' they are in a Standard Group or no Group at all
				sSQLText = "SELECT AccountUnq, RightsLvl FROM Rights (NOLOCK) WHERE RightsLvl = '" & iRightsLvl & "' AND AccountUnq = " & iLoginAccountUnq & " AND (RevokeDate IS NULL OR RevokeDate < GrantDate) UNION SELECT R.AccountUnq, R.RightsLvl FROM Rights R (NOLOCK), GroupMap M (NOLOCK), Groups G (NOLOCK) WHERE G.Type = 'S' AND G.GroupUnq = M.GroupUnq AND M.GroupUnq = R.GroupUnq AND G.DomainUnq = M.DomainUnq AND M.AccountUnq = " & iLoginAccountUnq & " AND (R.RevokeDate IS NULL OR R.RevokeDate < R.GrantDate) AND R.RightsLvl = '" & iRightsLvl & "'"
				rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( rsDB.EOF ) Then
					ACCNT_AnyDomain = FALSE
				Else
					ACCNT_AnyDomain = TRUE
				End If
				rsDB.Close
			ElseIf ( sGroupType = "R" ) Then
				' They are in a Rotational Group - you can only be in ONE Rotational Group - even across domains.
				ACCNT_AnyDomain = ACCNT_ReturnRights(iRightsLvl)
			End If
		Else
			ACCNT_AnyDomain = FALSE
		End If
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Finds the first (if any) domainunq that the user has the rights on.				*
	'*																					*
	'************************************************************************************
	Function ACCNT_GetDomainW_Rights(sRightsConst1, sRightsConst2, sRightsConst3)
		Dim sSQLText, rsDB, iTemp

		If ( sGroupType = "S" ) Or ( sGroupType = "" ) Then
			sSQLText = "SELECT DomainUnq FROM Rights (NOLOCK) WHERE (RightsLvl = '" & sRightsConst1 & "' OR RightsLvl = '" & sRightsConst2 & "' OR RightsLvl = '" & sRightsConst3 & "') AND AccountUnq = " & iLoginAccountUnq & " AND (RevokeDate IS NULL OR RevokeDate < GrantDate) UNION SELECT R.DomainUnq FROM Rights R (NOLOCK), GroupMap M (NOLOCK), Groups G (NOLOCK) WHERE G.Type = 'S' AND G.GroupUnq = M.GroupUnq AND G.DomainUnq = M.DomainUnq AND M.GroupUnq = R.GroupUnq AND M.AccountUnq = " & iLoginAccountUnq & " AND (R.RevokeDate IS NULL OR R.RevokeDate < R.GrantDate) AND (R.RightsLvl = '" & sRightsConst1 & "' OR R.RightsLvl = '" & sRightsConst2 & "' OR R.RightsLvl = '" & sRightsConst3 & "')"
			Set rsDB = CreateObject("ADODB.Recordset")
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				iTemp = CStr(rsDB("DomainUnq"))
				' Try and find the current domain in the list of domains, otherwise revert back to the 1st domain (iTemp)
				While ( NOT rsDB.EOF )
					If ( CDbl(iDomainName) = rsDB("DomainUnq") ) Then
						ACCNT_GetDomainW_Rights = CStr(iDomainName)
						rsDB.MoveLast
					Else
						ACCNT_GetDomainW_Rights = iTemp
					End If
					rsDB.MoveNext
				Wend
			Else
				ACCNT_GetDomainW_Rights = -1
			End If
			rsDB.Close
			Set rsDB = Nothing
		Else
			' Since the account can only be on one domain in a Rotational Group, just check to see if any of the three rights levels are on this domain
			If ( ACCNT_SpecificDomain(sRightsConst1, iDomainName) Or ACCNT_SpecificDomain(sRightsConst2, iDomainName) Or ACCNT_SpecificDomain(sRightsConst3, iDomainName) ) Then
				ACCNT_GetDomainW_Rights = iDomainName
			Else
				ACCNT_GetDomainW_Rights = -1
			End If
		End If
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if the logged in user has rights to the system at all on the 		*
	'*		current domain.																*
	'*																					*
	'************************************************************************************
	Function ACCNT_SystemRights(iSystemUnq)
		Dim sSQLText, rsDB, rsDB2, iCount, sTotal, sTempTotal, iTotalDays, sNewRotations
		Dim iTextSystemUnq
		
		iTextSystemUnq = iSystemUnq		' the iSystemUnq var is later populated with the NUMBER and not the text string, so the Dictionary object screws up
		If ( dSystemRights.Exists(iSystemUnq) ) Then
			ACCNT_SystemRights = dSystemRights.Item(iSystemUnq)
		Else
			Set rsDB = CreateObject("ADODB.Recordset")
			Set rsDB2 = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT SystemUnq FROM Systems WHERE SystemConst = '" & iSystemUnq & "'"
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( iLoginAccountUnq <> "" And NOT IsNull(iLoginAccountUnq) ) Then
				If ( NOT rsDB.EOF ) Then
					iSystemUnq = rsDB("SystemUnq")
					rsDB.Close
					sSQLText = "SELECT * FROM Rights (NOLOCK) WHERE DomainUnq = " & iDomainName & " AND SystemUnq = " & iSystemUnq & " AND AccountUnq = " & iLoginAccountUnq
					rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsDB.EOF ) Then
						ACCNT_SystemRights = TRUE
						rsDB.Close
					Else
						If ( sGroupType = "S" ) Or ( sGroupType = "" ) Then
							rsDB.Close
							' they are in a Standard Group or no Group at all
							sSQLText = "SELECT AccountUnq, RightsLvl FROM Rights (NOLOCK) WHERE AccountUnq = " & iLoginAccountUnq & " AND DomainUnq = " & iDomainName & " AND SystemUnq = " & iSystemUnq & " AND (RevokeDate IS NULL OR RevokeDate < GrantDate) UNION SELECT R.AccountUnq, R.RightsLvl FROM Rights R (NOLOCK), GroupMap M (NOLOCK), Groups G (NOLOCK) WHERE G.Type = 'S' AND G.GroupUnq = M.GroupUnq AND M.GroupUnq = R.GroupUnq AND M.AccountUnq = " & iLoginAccountUnq & " AND R.DomainUnq = " & iDomainName & " AND SystemUnq = " & iSystemUnq & " AND M.DomainUnq = " & iDomainName & " AND M.DomainUnq = G.DomainUnq AND (R.RevokeDate IS NULL OR R.RevokeDate < R.GrantDate)"
							rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( rsDB.EOF ) Then
								ACCNT_SystemRights = FALSE
							Else
								ACCNT_SystemRights = TRUE
							End If
							rsDB.Close
						ElseIf ( sGroupType = "R" ) Then
							rsDB.Close
							' Check to see if the Rotational Group they are in has the rights - this must be done seperate from getting the
							'	sum of the days in the rotation because if the start date and login date and today are all the same, it
							'	looks just like the rights level exists too - even if it doesn't!
							sSQLText = "SELECT * FROM Rights (NOLOCK) WHERE SystemUnq = " & iSystemUnq & " AND GroupUnq = " & sGlobalGroupUnq & " AND AccountUnq = 0 AND DomainUnq = " & iDomainName & " AND (RevokeDate IS NULL OR RevokeDate < GrantDate)"
							rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsDB.EOF ) Then
								rsDB.Close
								' They are in a Rotational Group, so check that one
								' Get the total # of days up to the current day
								sSQLText = "SELECT SUM(NumDays) iTotal FROM GroupMap (NOLOCK) WHERE GroupUnq = " & sGlobalGroupUnq & " AND Position <= " & sGlobalPosition & " AND DomainUnq = " & iDomainName
								rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsDB.EOF ) Then
									sTempTotal = rsDB("iTotal")
									If ( IsNull(sTempTotal) ) Then
										sTempTotal = 0
									End If
									rsDB.Close
									' Get the total # of days for a rotation
									sSQLText = "SELECT SUM(NumDays) iTotal FROM GroupMap (NOLOCK) WHERE GroupUnq = " & sGlobalGroupUnq & " AND DomainUnq = " & iDomainName
									rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If ( NOT rsDB.EOF ) Then
										iTotalDays = rsDB("iTotal")
										Dim x, y, z, a, dDate
										x = DateDiff("d", CDate(sGlobalDateBegin), Now)
										y = Int(x / iTotalDays)
										If ( y < 0 ) Then
											y = 0
										End If
										If ( y < sGlobalRotations ) Then
											z = y * iTotalDays
											a = z + sTempTotal
											dDate = DateAdd("d", a, sGlobalDateBegin)
											If ( FormatDateTime(CDate(dDate),2) >= FormatDateTime(NOW,2) ) And ( FormatDateTime(CDate(dDate),2) <= FormatDateTime(DateAdd("d", iGlobalNumDays, NOW),2) ) Then
												ACCNT_SystemRights = TRUE	' it's today!
											Else
												ACCNT_SystemRights = FALSE
											End If
										Else
											ACCNT_SystemRights = FALSE
										End If
										rsDB.Close
									Else
										' not able to get the summation so deny rights
										ACCNT_SystemRights = FALSE
										rsDB.Close
									End If
								Else
									' not able to get the summation so deny rights
									ACCNT_SystemRights = FALSE
									rsDB.Close
								End If
							Else
								' the rights are not in that group at all
								ACCNT_SystemRights = FALSE
								rsDB.Close
							End If
						End If
					End If
				Else
					' can't even find the SystemUnq using the SystemConst passed
					ACCNT_SystemRights = FALSE
					rsDB.Close
				End If
			Else
				ACCNT_SystemRights = FALSE
			End If
			Set rsDB = Nothing
			Set rsDB2 = Nothing
			dSystemRights.Add iTextSystemUnq, ACCNT_SystemRights	' cache it in the dictionary object
		End If
	
	End function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns the SystemUnq for a SystemConst.										*
	'*																					*
	'************************************************************************************
	Function ACCNT_ReturnSystemUnq(sSystemConst)
		Dim sSQLText, rsDB
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT SystemUnq FROM Systems (NOLOCK) WHERE SystemConst = '" & sSystemConst & "'"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			If ( IsNull(rsDB("SystemUnq")) ) Then
				ACCNT_ReturnSystemUnq = FALSE
			Else
				ACCNT_ReturnSystemUnq = rsDB("SystemUnq")
			End If
		Else
			ACCNT_ReturnSystemUnq = FALSE
		End If
		rsDB.Close
		Set rsDB = Nothing
	End Function
	'************************************************************************************	
	
	
	'************************************************************************************
	'*																					*
	'*	Creates a new rights level on the specified domain for the specified system.	*
	'*																					*
	'************************************************************************************
	Function ACCNT_CreateRightsLvl(sRightLvl, sSystemUnq, iDomainUnq, sRightsConst)
		Dim sSQLText, rsDB
		
		If ( Trim(sRightsLvl) <> "" ) And ( Trim(sSystemUnq) <> "" ) And ( iDomainUnq <> "" ) And ( IsNumeric(sSystemUnq) ) And ( IsNumeric(iDomainUnq) ) Then
			Set rsDB = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT * FROM RightsLookup WHERE RightsLvl = '" & sRightsLvl & "' AND DomainUnq = " & iDomainUnq
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				' It doesn't exist, so create it.
				DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomainUnq & ", '" & sRightsLvl & "', '" & sRightsConst & "', " & sSystemUnq & ")"
			Else
				ACCNT_CreateRightsLvl = FALSE
			End If
			rsDB.Close
			Set rsDB = Nothing
		Else
			ACCNT_CreateRightsLvl = FALSE
		End If
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This returns the login name of the user whose AccountUnq is passed in.			*
	'*																					*
	'************************************************************************************
	Function ACCNT_UserName(iAccountUnq)
		Dim rsDB, sSQLText
	
		If ( iAccountUnq = "" ) Then
			ACCNT_UserName = ""
		Else
			Set rsDB = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT Login FROM Accounts WHERE AccountUnq = " & iAccountUnq
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				ACCNT_UserName = rsDB("Login")
			End If
			rsDB.Close
			Set rsDB = Nothing
		End If
		
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Writes a value to an ADV. If the ADV doesn't exist, insert it.					*
	'*																					*
	'************************************************************************************
	Sub ACCNT_WriteADV(sADV, sValue, sType, iAccountUnq, iDomainUnq, sViewLvl)
		Dim rsDB, sSQLText, sTempHomeDomain, sVarCharData, sTextData
		Set rsDB = CreateObject("ADODB.Recordset")

		sSQLText = "SELECT * FROM AccountData (NOLOCK) WHERE AccountUnq = " & iAccountUnq & " AND MapName = '" & SQLEncode(sADV) & "' AND DomainUnq = " & iDomainUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			' check to see if the domain passed in is the Home Domain before inserting
			sTempHomeDomain = ACCNT_ADVHomeDomain(sADV, iAccountUnq)
			If ( ( sTempHomeDomain = iDomainUnq ) Or ( sTempHomeDomain = "" ) )Then
				sTempHomeDomain = "T"
			Else
				sTempHomeDomain = ""
			End If
			If ( sViewLvl <> "PUBLIC" ) And ( sViewLvl <> "PRIVATE" ) Then
				' if the ViewLvl passed in is not either public or private, set it to private as a default
				sViewLvl = "PRIVATE"
			End If
			If ( sType = "V" ) Then
				DBConnection.Execute "INSERT INTO AccountData VALUES ('" & SQLEncode(sADV) & "'," & iAccountUnq & ",'" & SQLEncode(sValue) & "','','" & sViewLvl & "', " & iDomainUnq & ", '" & sTempHomeDomain & "', GetDate())"
				Call DOMAIN_Log(41, SQLEncode(sADV), iAccountUnq, "", iDomainUnq, "", 0, "V", "I", "", "")
			Else
				DBConnection.Execute "INSERT INTO AccountData VALUES ('" & SQLEncode(sADV) & "'," & iAccountUnq & ",'','" & SQLEncode(sValue) & "','" & sViewLvl & "', " & iDomainUnq & ", '" & sTempHomeDomain & "', GetDate())"
				Call DOMAIN_Log(41, SQLEncode(sADV), iAccountUnq, "", iDomainUnq, "", 0, "T", "I", "", "")
			End If
		Else
			sVarCharData	= Trim(rsDB("VarCharData"))
			sTextData		= Trim(rsDB("TextData"))
			' It exists so UPDATE instead
			If ( sType = "V" ) Then
				If ( sVarCharData = Trim(sValue) ) Then
					' if the data is the same as what's already there, don't update the chage date.
					DBConnection.Execute "UPDATE AccountData SET VarCharData = '" & SQLEncode(sValue) & "' WHERE MapName = '" & SQLEncode(sADV) & "' AND AccountUnq = " & iAccountUnq & " AND DomainUnq = " & iDomainUnq
				Else
					DBConnection.Execute "UPDATE AccountData SET VarCharData = '" & SQLEncode(sValue) & "', LastChange = GetDate() WHERE MapName = '" & SQLEncode(sADV) & "' AND AccountUnq = " & iAccountUnq & " AND DomainUnq = " & iDomainUnq
					Call DOMAIN_Log(41, SQLEncode(sADV), iAccountUnq, "", iDomainUnq, "", 0, "V", "U", SQLEncode(sVarCharData), "")
				End If
			Else
				If ( sTextData = Trim(sValue) ) Then
					' if the data is the same as what's already there, don't update the chage date.
					DBConnection.Execute "UPDATE AccountData SET TextData = '" & SQLEncode(sValue) & "' WHERE MapName = '" & SQLEncode(sADV) & "' AND AccountUnq = " & iAccountUnq & " AND DomainUnq = " & iDomainUnq
				Else
					DBConnection.Execute "UPDATE AccountData SET TextData = '" & SQLEncode(sValue) & "', LastChange = GetDate() WHERE MapName = '" & SQLEncode(sADV) & "' AND AccountUnq = " & iAccountUnq & " AND DomainUnq = " & iDomainUnq
					Call DOMAIN_Log(41, SQLEncode(sADV), iAccountUnq, "", iDomainUnq, "", 0, "T", "U", "", SQLEncode(sTextData))
				End If
			End If
		End If
		rsDB.Close
		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns an ADV.																	*
	'*		This lets you pass in an AccountUnq so you can get things from other		*
	'*		accounts, so this is very powerful -- careful when using it that noone can	*
	'*		get it to pass a security breaching AccountUnq.								*
	'*																					*
	'*		This is now a wrapper since some functions require that the ADV be gotten	*
	'*			from a specific domain.													*
	'*																					*
	'************************************************************************************
	Function ACCNT_ReturnADV(sADV, sType, iAccountUnq, iSystemUnq, sViewLvl)

		ACCNT_ReturnADV = ACCNT_ReturnADV_W_DomainUnq(sADV, sType, iAccountUnq, iSystemUnq, sViewLvl, iDomainName)

	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns an ADV for a specific domain.											*
	'*																					*
	'************************************************************************************
	Function ACCNT_ReturnADV_W_DomainUnq(sADV, sType, iAccountUnq, iSystemUnq, sViewLvl, iDomainUnq)

		Dim rsDB, rsDB2, sSQLText, dLastChangeDate, bEnd, bSecure
		Set rsDB = CreateObject("ADODB.Recordset")
		Set rsDB2 = CreateObject("ADODB.Recordset")
		ACCNT_ReturnADV_W_DomainUnq = ""
		dLastChangeDate = CDate("01/01/1960")
		bEnd = FALSE
		bSecure = FALSE
		sType = Trim(sType)

		' check to make sure the person logged in has rights (on the current domain) to access this ADVs data
		' check to make sure the system passed in corresponds to the ADVs system
		' see if there is any data in this ADV for this domain, if not:
			' see if this ADV is in a Group
			' see if any of the other ADVs in this ADVs Group has any data
				' use the most recently changed data if more than one ADV in the Group has data
				' make sure whichever one is used has rights that the current user has...or use a different one from a different domain
				' make sure it has the viewlevel passed
				
		sSQLText = "SELECT M.DomainUnq, M.RightsLvl FROM AccountMap M (NOLOCK), AccountMap A (NOLOCK) WHERE M.MapName = '" & sADV & "' AND A.MapName = '" & sADV & "' AND M.GroupUnq = A.GroupUnq AND A.DomainUnq = " & iDomainUnq & " AND A.GroupUnq > 0 AND M.SystemUnq = " & iSystemUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			' since none were found in any Group, look for one not in a Group - on the current domain
			rsDB.Close
			sSQLText = "SELECT DomainUnq, RightsLvl FROM AccountMap (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND GroupUnq = 0 AND MapName = '" & sADV & "' AND SystemUnq = " & iSystemUnq
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		End If

		While ( NOT rsDB.EOF And bEnd = FALSE )
			' loop through all the results to find the first one that the user has the rightslvl (or they are blank), and the newestly changed one and viewlvl
			If ( ACCNT_SpecificDomain(rsDB("RightsLvl"), rsDB("DomainUnq")) = TRUE ) Or ( Trim(rsDB("RightsLvl")) = "" ) Then
				bHasADVRights = TRUE
				If ( iAccountUnq = "" ) Then
					sSQLText = "SELECT * FROM AccountData (NOLOCK) WHERE MapName = '" & SQLEncode(sADV) & "' AND AccountUnq = -1 AND DomainUnq = " & rsDB("DomainUnq")
				Else
					sSQLText = "SELECT * FROM AccountData (NOLOCK) WHERE MapName = '" & SQLEncode(sADV) & "' AND AccountUnq = " & iAccountUnq & " AND DomainUnq = " & rsDB("DomainUnq")
				End If
				rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDB2.EOF ) Then
					If ( sViewLvl = "OVERRIDE" ) Then	' the developer wants to return the data even if the accountunq's are different AND the user made the data private - this is great for sending msgboard email notifications
						sViewLvl = rsDB2("ViewLvl")	' this is populated and can be used in the calling sub or function.
						bSecure = TRUE
					Else
						sViewLvl = rsDB2("ViewLvl")	' this is populated and can be used in the calling sub or function.
						If ( Trim(sViewLvl) = "PRIVATE" ) Then
							If ( CDbl(Trim(iAccountUnq)) = CDbl(iLoginAccountUnq) ) Then
								bSecure = TRUE
							Else
								bSecure = FALSE
							End If
						Else
							bSecure = TRUE
						End If
					End If
					If ( bSecure = TRUE ) Then
						If ( CDbl(Trim(rsDB("DomainUnq"))) = CDbl(iDomainUnq) ) Then
							' it's data from the current domain, so just use it and end.
							If ( sType = "T" ) Then
								ACCNT_ReturnADV_W_DomainUnq = rsDB2("TextData")
							ElseIf ( sType = "V" ) Then
								ACCNT_ReturnADV_W_DomainUnq = rsDB2("VarCharData")
							End If
							bEnd = TRUE
						Else
							If ( DateDiff("s", dLastChangeDate, rsDB2("LastChange")) > 0 ) Then
								' the last date was older than this current one, so use the current one instead
			 					dLastChangeDate = rsDB2("LastChange")
								If ( sType = "T" ) Then
									ACCNT_ReturnADV_W_DomainUnq = rsDB2("TextData")
								ElseIf ( sType = "V" ) Then
									ACCNT_ReturnADV_W_DomainUnq = rsDB2("VarCharData")
								End If
							End If
						End If
					End If
				End If
				rsDB2.Close
			Else
				bHasADVRights = FALSE
			end if
			rsDB.MoveNext
		Wend
		Set rsDB = Nothing
		Set rsDB2 = Nothing

	End Function
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	Returns PUBLIC if the ADV passed it has been set as					 			*
	'*		publically visible for the user currently logged in.						*
	'*	Returns PRIVATE otherwise.														*
	'*																					*
	'************************************************************************************
	Function ACCNT_ReturnVisibility(sADV, iAccountUnq, iSystemUnq)
		Dim x, sViewLvl

		x = ACCNT_ReturnADV(sADV, "V", iAccountUnq, iSystemUnq, sViewLvl)
		ACCNT_ReturnVisibility = sViewLvl

	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns the Home Domain's DomainUnq for a specific account.						*
	'*																					*
	'************************************************************************************
	Function ACCNT_HomeDomain(iAccountUnq)
		Dim rsDB, sSQLText

		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT HomeDomain FROM Accounts (NOLOCK) WHERE AccountUnq = " & iAccountUnq
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			ACCNT_HomeDomain = rsDB("HomeDomain")
		End If
		rsDB.Close
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	Returns an ADVs Home Domain's DomainUnq.										*
	'*																					*
	'************************************************************************************
	Function ACCNT_ADVHomeDomain(sADV, iAccountUnq)
		Dim rsDB, sSQLText

		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM AccountData (NOLOCK) WHERE AccountUnq = " & iAccountUnq & " AND MapName = '" & SQLEncode(sADV) & "' AND HomeDomain = 'T' ORDER BY LastChange DESC"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			ACCNT_ADVHomeDomain = rsDB("HomeDomain")
		Else
			ACCNT_ADVHomeDomain = ""
		End If
		rsDB.Close
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if there are any accounts left - for demo versions.				*
	'*																					*
	'************************************************************************************
	Function ACCNT_AccountsLeft()
		Dim dTemp, dNumAccounts, sSQLText
	
		dNumAccounts	= -1
		Set rsDB	= CreateObject("ADODB.Recordset")
		
		If ( NUM_ALLOWED_USERS = -1 ) Then
			ACCNT_AccountsLeft = TRUE
		Else
			sSQLText = "SELECT COUNT(*) FROM Accounts (NOLOCK)"
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				dNumAccounts = CDbl(rsDB(0))
				If ( CDbl(NUM_ALLOWED_USERS) > dNumAccounts ) Then
					ACCNT_AccountsLeft = TRUE
				Else
					ACCNT_AccountsLeft = FALSE
					' now delete any extra accounts
					dTemp = dNumAccounts - CDbl(NUM_ALLOWED_USERS)
					If ( dTemp > 0 ) Then	' do not do it if it's 0. that will erase everything!
						DBConnection.Execute "SET ROWCOUNT " & dTemp & " DELETE FROM Accounts WHERE AccountUnq <> 1 SET ROWCOUNT 0"
					End IF
				End If
			Else
				ACCNT_AccountsLeft = TRUE
			End If
			rsDB.Close
		End If
		
		' now check the SB_MAX_DOMAIN_ACCOUNTS conf var for this domain to make sure
		'	it has not been surpassed
		If ( ACCNT_AccountsLeft = TRUE ) Then
			' need to get current # of accounts from the database
			If ( dNumAccounts = -1 ) Then
				sSQLText = "SELECT COUNT(*) FROM Accounts (NOLOCK)"
				rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDB.EOF ) Then
					dNumAccounts = CDbl(rsDB(0))
				Else
					dNumAccounts = 0
				End If
				rsDB.Close
			End If
			
			dTemp = DOMAIN_Conf_W_DomainUnq("SB_MAX_DOMAIN_ACCOUNTS", iDomainName)
			If ( ( IsNumeric(dTemp) ) And ( dTemp <> "" ) ) Then
				dTemp = CDbl(dTemp)
				If ( ( dTemp > dNumAccounts ) Or ( dTemp = -1 ) ) Then
					ACCNT_AccountsLeft = TRUE
				Else
					ACCNT_AccountsLeft = FALSE
					' now delete any extra accounts
					dTemp = dNumAccounts - dTemp
					If ( dTemp > 0 ) Then	' do not do it if it's 0. that will erase everything!
						DBConnection.Execute "SET ROWCOUNT " & dTemp & " DELETE FROM Accounts WHERE AccountUnq <> 1 And HomeDomain = " & iDomainName & " SET ROWCOUNT 0"
					End IF
				End If
			End If
			
		End If
		
		Set rsDB = Nothing
		
	End Function
	'************************************************************************************
%>