<%
	'************************************************************************************
	'*																					*
	'*	This saves the file (if any). 													*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_SaveFile()
		Dim BrowserType, lf, sPos, SavePath, SaveFile, sFilePath, iTtlUploaded, iNumUploaded
		Dim sError, iTemp
		
		Call DelOldFiles()
		
		'Save the actual posted file (If supporting more than one file, turn this into a loop!)
		Set lf = server.createObject("Scripting.FileSystemObject")

		fName = objUpload("File1").FileName
		If ( fName <> "" ) Then
			' get the extension
			sExtension		= objUpload("File1").FileExt
			
			' get a random file name for the uploaded file. don't use it's real filename
			Randomize
			Do
				' doing it this weird way so we can get the file name w/o the extension easier for the thumbnail
				sFileID		= iLoginAccountUnq & "_" & Int((999999 * Rnd) + 1) & "." & sExtension
				sFilePath	= "/" & DOMAIN_Conf("MB") & "/" & sFileID
				sFilePath	= Replace(sFilePath, "\", "/")
				sFilePath	= Replace(sFilePath, "//", "/")
			Loop While ( lf.FileExists(sFilePath) )
			
			iFileSize = objUpload("File1").Length
			' check to make sure that:
			'		the file is not too big according to G_UPLOAD_ReturnMaxFileSize()
			'		the user still has space...according to G_UPLOAD_ReturnAccountBytesLeft()
			'		the user still can upload a file today...according to G_UPLOAD_ReturnNumUploadable()
			' make a unique error message for each instance
			iConfUnq = objUpload("iConfUnq").Value	' must get it here because the functions below require it
			iTemp = G_UPLOAD_ReturnMaxFileSize()
			If ( ( iTemp < iFileSize ) And ( iTemp <> -1 ) ) Then
				sError = DOMAIN_Text("MSGBOARD_ERROR_FILE_TOOLARGE")
			End If
			iTemp = G_UPLOAD_ReturnAccountBytesLeft()
			If ( ( (iTemp - iFileSize) < 0 ) And ( iTemp <> -1 ) ) Then
				sError = sError & DOMAIN_Text("MSGBOARD_ERROR_EXCEEDSPACE")
			End If
			iTemp = G_UPLOAD_ReturnNumUploadable()
			If ( ( (iTemp - 1) < 0 ) And ( iTemp <> -1 ) ) Then
				sError = sError & DOMAIN_Text("MSGBOARD_ERROR_NOMORETODAY")
			End If
			If ( sError <> "" ) Then
				sError = sError & DOMAIN_Text("MSGBOARD_ERROR_HITBACK")
				fName		= ""
				sExtension	= ""
				iFileSize	= 0
				sFileID		= ""
			Else			
				' save it
				objUpload("File1").SaveAs Server.MapPath(sFilePath)
				
				' even if they are just previewing, add this info (in case they preview and close their browser, etc.)
				'	 plus the DelOldFiles() Sub will revoke these changes if they do preview and go back and preview or submit again w/ a new file
				
				' add the num of bytes of the file from the users ttl uploaded bytes
				iTtlUploaded = Trim(ACCNT_ReturnADV("SB_MB_TTLUPLOADED", "V", iLoginAccountUnq, 2, "PRIVATE"))
				If ( iTtlUploaded <> "" ) Then
					iTtlUploaded = CDbl(iTtlUploaded)
				Else
					iTtlUploaded = 0
				End If
				iTtlUploaded = iTtlUploaded + iFileSize
				Call ACCNT_WriteADV("SB_MB_TTLUPLOADED", iTtlUploaded, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				
				' subtract one from the number of files they have uploaded
				iNumUploaded = Trim(ACCNT_ReturnADV("SB_MB_NUMUPLOAD_TODAY", "V", iLoginAccountUnq, 2, "PRIVATE"))
				If ( iNumUploaded <> "" ) Then
					iNumUploaded = CDbl(iNumUploaded)
				Else
					iNumUploaded = 0
				End If
				iNumUploaded = iNumUploaded + 1
				Call ACCNT_WriteADV("SB_MB_NUMUPLOAD_TODAY", iNumUploaded, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				
				' make the last day they uploaded a file today
				Call ACCNT_WriteADV("SB_MB_NUMUPLOAD_LASTDATE", NOW, "V", iLoginAccountUnq, iDomainName, "PRIVATE")			
				
				' if it's an image and ASPImage is installed, make a thumbnail of it
				If ( UCase(sExtension) = "JPG" ) Or ( UCase(sExtension) = "PNG" ) Or ( UCase(sExtension) = "BMP" ) Then
					Call CreateThumb("\" & DOMAIN_Conf("MB") & "\", sFileID)
				End If

			End If
		End If
		Set lf = Nothing
		G_UPLOAD_SaveFile = sError
	End Function
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	This deletes thumbnails and files when previewing so the user doesn't upload	*
	'*		one file and preview, go back and change the file they upload, and the		*
	'*		original is left on the server...so that doesn't happen.					*
	'*																					*
	'************************************************************************************
	Sub DelOldFiles()
		Dim sFilePath, lf, sFileID, iFileSize, f, iTtlUploaded, iNumUploaded
		
		sFileID = Request.Cookies("MsgBoardAttach" & iDomainName)
		If ( sFileID <> "" ) Then
			' delete the files (main and possible thumbnail)
			Set lf = server.createObject("Scripting.FileSystemObject")
			sFilePath = Server.MapPath("\" & DOMAIN_Conf("MB") & "\" & sFileID)
			If ( lf.FileExists(sFilePath) ) Then
				Set f = lf.GetFile(sFilePath)
				iFileSize = f.size
				
				' the file exists - delete it
				lf.DeleteFile(sFilePath)
				
				' subtract the num of bytes of the file from the users ttl uploaded bytes
				iTtlUploaded = Trim(ACCNT_ReturnADV("SB_MB_TTLUPLOADED", "V", iLoginAccountUnq, 2, "PRIVATE"))
				If ( iTtlUploaded <> "" ) Then
					iTtlUploaded = CDbl(iTtlUploaded)
				Else
					iTtlUploaded = 0
				End If
				iTtlUploaded = iTtlUploaded - iFileSize
				If ( iTtlUploaded <= 0 ) Then
					iTtlUploaded = 0
				End If
				Call ACCNT_WriteADV("SB_MB_TTLUPLOADED", iTtlUploaded, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				
				' subtract one from the number of files they have uploaded
				iNumUploaded = Trim(ACCNT_ReturnADV("SB_MB_NUMUPLOAD_TODAY", "V", iLoginAccountUnq, 2, "PRIVATE"))
				If ( iNumUploaded <> "" ) Then
					iNumUploaded = CDbl(iNumUploaded)
				Else
					iNumUploaded = 0
				End If
				If ( iNumUploaded > 0 ) Then
					iNumUploaded = iNumUploaded - 1
				End If
				Call ACCNT_WriteADV("SB_MB_NUMUPLOAD_TODAY", iNumUploaded, "V", iLoginAccountUnq, iDomainName, "PRIVATE")

				' the last day they uploaded a file still must be today (don't change it)

			End If
			sFilePath = Server.MapPath("\" & DOMAIN_Conf("MB") & "\" & "Thumb_" & sFileID)
			If ( lf.FileExists(sFilePath) ) Then
				' a thumbnail exists - delete it
				lf.DeleteFile(sFilePath)
			End If
		End If
		' clear the columns associated with attachments
		DBConnection.Execute "UPDATE Message SET FileLoc='', FileName='', FileSize=0, NumDownloads=0, FileID='' WHERE FileID = '" & sFileID & "'"
		
		' clear the cookie
		Response.Cookies("MsgBoardAttach" & iDomainName) = ""
		Response.Cookies("MsgBoardAttach" & iDomainName).Path = "/"
		Response.Cookies("MsgBoardAttach" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
		Response.Cookies("MsgBoardAttach" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This function makes a thumbnail of images										*
	'*																					*
	'************************************************************************************
	Sub CreateThumb(sFilePath, sFileID)
		Dim Image, intXSize, intYSize
		
		On Error Resume Next
		' Try and instantiate the ASPImage object - if can, then try & make a thumbnail
		Set Image = Server.CreateObject("AspImage.Image")
		If ( Err.Number <> 0 ) Then
			' cannot instanciate it
		Else
			intXSize = Int(DOMAIN_Conf("MSGBOARD_THUMBNAIL_WIDTH"))
			Image.LoadImage(Server.MapPath(sFilePath & sFileID))
	
			If (Image.ImageFormat=1 OR Image.ImageFormat=2 OR Image.ImageFormat=3) And (Image.MaxX>0) Then
				intYSize = Int((intXSize / Image.MaxX) * Image.MaxY)
				Image.Resize intXSize, intYSize
				Image.FileName = (Server.MapPath(sFilePath & "Thumb_" & sFileID))
				Image.SaveImage
			End If
		End If
		Set Image = Nothing
		On Error Goto 0
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This displays the upload form field and all the associated information.			*
	'*																					*
	'************************************************************************************
	Sub G_UPLOAD_DisplayForm()
		Dim iTemp, iNumBytesLeft, iNumFilesLeft
		
		If ( bHasAccount ) Then
			iNumBytesLeft = G_UPLOAD_ReturnAccountBytesLeft()
			iNumFilesLeft = G_UPLOAD_ReturnNumUploadable()
			%>
			<table cellpadding=2 cellspacing=0 border=0 width=100%>
				<tr>
					<td><font size=-2><b><%=DOMAIN_Text("MSGBOARD_ATTACH_FILE")%></td>
					<td>
						<font size=-2>
						<br>
						<%
						If ( iNumBytesLeft <= 0 ) And ( iNumBytesLeft <> -1 ) Then
							Response.Write DOMAIN_Text("MSGBOARD_MAX_BYTES")
						Else
							If ( iNumFilesLeft <= 0 ) And ( iNumFilesLeft <> -1 ) Then
								Response.Write DOMAIN_Text("MSGBOARD_FILE_ALLOTMENT")
							Else
								Response.Write "<input TYPE='FILE' NAME='File1' SIZE=30>"
							End If						
						End If
						%>
						<br>
						<%=DOMAIN_Text("MSGBOARD_VALID_FILE_EXT")%><%=G_UPLOAD_ReturnUploadTypes(TRUE)%>
					</td>
					<td>
						<font size=-2>
						<%=DOMAIN_Text("MSGBOARD_MAX_FILESIZE")%>
						<%
						iTemp = G_UPLOAD_ReturnMaxFileSize()
						If ( iTemp = -1 ) Then
							Response.Write DOMAIN_Text("MSGBOARD_UNLIMITED")
						Else
							Response.Write iTemp
						End If
						%>
						<br>
						<%
						If ( iNumBytesLeft = -1 ) Then
							Response.Write DOMAIN_Text("MSGBOARD_UPLOAD_UNLIMITED")
						Else
							Response.Write Replace(DOMAIN_Text("MSGBOARD_BYTESLEFT"), "1:", iNumBytesLeft)
						End If
	
						If ( iNumFilesLeft = -1 ) Then
							Response.Write DOMAIN_Text("MSGBOARD_UNLIMITED_FILES")
						Else
							Response.Write Replace(DOMAIN_Text("MSGBOARD_NUM_FILES"), "1:", iNumFilesLeft)
						End If
						%>
					</td>
				</tr>
			</table>
			<%
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This returns the number of files the user can upload this day.					*
	'*		It users whichever is bigger: the number of uploads the user is allowed to	*
	'*		do, or the number the board allows users to do.								*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_ReturnNumUploadable()
		Dim iNumUpload, iNumUploadToday, iLastDate, iBoard_NumUpload
		Dim rsMsgBoard, sSQLText
		
		iNumUpload		= Trim(ACCNT_ReturnADV("SB_MB_NUMUPLOAD", "V", iLoginAccountUnq, 2, "PRIVATE"))
		iNumUploadToday	= Trim(ACCNT_ReturnADV("SB_MB_NUMUPLOAD_TODAY", "V", iLoginAccountUnq, 2, "PRIVATE"))
		iLastDate		= Trim(ACCNT_ReturnADV("SB_MB_NUMUPLOAD_LASTDATE", "V", iLoginAccountUnq, 2, "PRIVATE"))
		
		Set rsMsgBoard = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT NumAttachPerUser FROM Conference (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			iBoard_NumUpload = Trim(rsMsgBoard("NumAttachPerUser"))
			If ( iBoard_NumUpload <> "" ) Then
				iBoard_NumUpload = CDbl(iBoard_NumUpload)
			End If
		Else
			iBoard_NumUpload = 0
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing
		
		If ( iNumUpload <> "" ) Then
			iNumUpload = CDbl(iNumUpload)
		End If
		
		' now let the user upload the max between their number of allowed uploads and the boards
		If ( iNumUpload < iBoard_NumUpload ) Then
			iNumUpload = iBoard_NumUpload
		End If
		
		If ( iNumUploadToday <> "" ) Then
			iNumUploadToday = CDbl(iNumUploadToday)
		End If
		If ( iLastDate <> "" ) Then
			iLastDate = CDate(iLastDate)
		Else
			iLastDate = CDate("1/1/1990")	' long time ago (ie. never)
		End If
		
		If ( iNumUpload = -1 ) Then
			G_UPLOAD_ReturnNumUploadable = -1
		Else
			If ( DateDiff("d", iLastDate, NOW) >= 1 ) Then
				' the last time the user uploaded a file was more than a day ago, so reset their number of files and last date & they can upload the full number
				Call ACCNT_WriteADV("SB_MB_NUMUPLOAD_TODAY", "0", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				Call ACCNT_WriteADV("SB_MB_NUMUPLOAD_LASTDATE", NOW, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				G_UPLOAD_ReturnNumUploadable = iNumUpload
			Else
				G_UPLOAD_ReturnNumUploadable = iNumUpload - iNumUploadToday
				If ( G_UPLOAD_ReturnNumUploadable < 0 ) Then
					G_UPLOAD_ReturnNumUploadable = 0
				End If
			End If
		End If

	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This returns the number of bytes the user has left in their allotment of bytes.	*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_ReturnAccountBytesLeft()
		Dim iTtlUploadable, iTtlUploaded	

		iTtlUploadable	= Trim(ACCNT_ReturnADV("SB_MB_TTLUPLOADABLE", "V", iLoginAccountUnq, 2, "PRIVATE"))
		iTtlUploaded	= Trim(ACCNT_ReturnADV("SB_MB_TTLUPLOADED", "V", iLoginAccountUnq, 2, "PRIVATE"))
		
		If ( iTtlUploadable <> "" ) Then
			iTtlUploadable = CDbl(iTtlUploadable)
		Else
			iTtlUploadable = 0
		End If
		If ( iTtlUploaded <> "" ) Then
			iTtlUploaded = CDbl(iTtlUploaded)
		Else
			iTtlUploaded = 0
		End If
		
		If ( iTtlUploadable = -1 ) Then
			G_UPLOAD_ReturnAccountBytesLeft = iTtlUploadable
		Else
			G_UPLOAD_ReturnAccountBytesLeft = iTtlUploadable - iTtlUploaded
			If ( G_UPLOAD_ReturnAccountBytesLeft < 0 ) Then
				G_UPLOAD_ReturnAccountBytesLeft = 0
			End If
		End If
	
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This gets the allowed file types from all three sources and returns them with	*
	'*		or without duplicates as indicated (leaving duplicates just speeds things	*
	'*		up when it doesn't matter).													*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_ReturnUploadTypes(bRemoveDuplicates)
		Dim sSystem_UploadType, x, iUBoundaConfVars
		Dim rsMsgBoard, sSQLText, aTypes, iPos
		
		Set rsMsgBoard = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT AttachFileTypes FROM Conference (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			G_UPLOAD_ReturnUploadTypes = Trim(rsMsgBoard("AttachFileTypes"))
		Else
			G_UPLOAD_ReturnUploadTypes = ""
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing
		
		sSystem_UploadType	= Trim(DOMAIN_Conf("MSGBOARD_ALLOWALLFILETYPES"))		' for Groups and/or the System as a whole
		
		' concatenate them all together - remember to get all the info from the aConfVars() array in the DOMAIN_Conf() function
		G_UPLOAD_ReturnUploadTypes = G_UPLOAD_ReturnUploadTypes & " " & Trim(ACCNT_ReturnADV("SB_MB_UPLOADTYPE", "V", iLoginAccountUnq, 2, "PRIVATE"))
		iUBoundaConfVars = UBound(aConfVars,2)
		If ( iUBoundaConfVars > 0 ) Then
			For x = 0 To iUBoundaConfVars - 1
				G_UPLOAD_ReturnUploadTypes = G_UPLOAD_ReturnUploadTypes & " " & Trim(aConfVars(1,x))
			Next
		Else
			' this user is either in no Group(s), one Group, or no Groups that have this Conf Var
			G_UPLOAD_ReturnUploadTypes = G_UPLOAD_ReturnUploadTypes & " " & sSystem_UploadType
		End If
		
		If ( bRemoveDuplicates ) Then
			If ( G_UPLOAD_ReturnUploadTypes <> "" ) Then
				aTypes = Split(G_UPLOAD_ReturnUploadTypes, " ", -1, 1)
				
				For x = 0 to UBound(aTypes) - 1
					iPos = InStr(G_UPLOAD_ReturnUploadTypes, aTypes(x))
					If ( iPos > 0 ) Then
						G_UPLOAD_ReturnUploadTypes = Left(G_UPLOAD_ReturnUploadTypes, iPos+Len(aTypes(x))) & Replace(G_UPLOAD_ReturnUploadTypes, aTypes(x), "", iPos+Len(aTypes(x))+1, -1, 1)
					End If
				Next
				
				G_UPLOAD_ReturnUploadTypes = Trim(G_UPLOAD_ReturnUploadTypes)
			End If
		End If
	
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This gets the max file size from all three sources.								*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_ReturnMaxFileSize()
		Dim sSystem_MaxFileSize, sUser_MaxFileSize, sBoard_MaxFileSize, rsMsgBoard, sSQLText
		Dim iUBoundaConfVars, x, iTemp
		
		Set rsMsgBoard = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT MaxAttachSize FROM Conference (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			sBoard_MaxFileSize = CDbl(rsMsgBoard("MaxAttachSize"))
		Else
			sBoard_MaxFileSize = 0
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing
		
		sUser_MaxFileSize	= Trim(ACCNT_ReturnADV("SB_MB_UPLOADBYTES", "V", iLoginAccountUnq, 2, "PRIVATE"))
		If ( NOT IsNull(sUser_MaxFileSize) ) Then
			If ( sUser_MaxFileSize <> "" ) Then
				sUser_MaxFileSize = CDbl(sUser_MaxFileSize)
			Else
				sUser_MaxFileSize = 0
			End If
		Else
			sUser_MaxFileSize = 0
		End If
		
		sSystem_MaxFileSize = Trim(DOMAIN_Conf("MSGBOARD_MAXFILESIZE"))		' for Groups and/or the System as a whole
		If ( NOT IsNull(sSystem_MaxFileSize) ) Then
			If ( sSystem_MaxFileSize <> "" ) Then
				sSystem_MaxFileSize = CDbl(sSystem_MaxFileSize)
			Else
				sSystem_MaxFileSize = 0
			End If
		Else
			sSystem_MaxFileSize = 0
		End If
		
		If ( sUser_MaxFileSize = -1 ) Or ( sBoard_MaxFileSize = -1 ) Or ( sSystem_MaxFileSize = -1 ) Then
			' we're done. they can upload an unlimited amount
			G_UPLOAD_ReturnMaxFileSize = -1
		Else
			' find the max
			iUBoundaConfVars = UBound(aConfVars,2)
			If ( iUBoundaConfVars > 0 ) Then
				For x = 0 To iUBoundaConfVars - 1
					If ( NOT IsNull(Trim(aConfVars(1,x))) ) Then
						If ( Trim(aConfVars(1,x)) <> "" ) Then
							If ( CDbl(Trim(aConfVars(1,x))) > sSystem_MaxFileSize ) Or ( CDbl(Trim(aConfVars(1,x))) = -1 ) Then	
								sSystem_MaxFileSize = CDbl(Trim(aConfVars(1,x)))
							End If
						End If
					End If
				Next
			End If
			
			If ( sUser_MaxFileSize > sBoard_MaxFileSize ) Then
				iTemp = sUser_MaxFileSize
			Else
				iTemp = sBoard_MaxFileSize
			End If
			
			If ( iTemp > sSystem_MaxFileSize ) Then
				G_UPLOAD_ReturnMaxFileSize = iTemp
			Else
				G_UPLOAD_ReturnMaxFileSize = sSystem_MaxFileSize
			End If
		End If
	
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	Looks for and deletes any attachments and/or thumbnails.						*
	'*																					*
	'************************************************************************************
	Sub G_UPLOAD_DelAttachments(iLocalMsgUnq, bClearDB)
		Dim rsMsgBoard, sSQLText, sFilePath, lf, sFileID, iFileSize, f, iTtlUploaded, iNumUploaded
		
		Set rsMsgBoard = Server.CreateObject("ADODB.recordset")
		' get the FileID (filename) of the file to delete
		sSQLText = "SELECT AccountUnq, FileID FROM Message (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			sFileID = Trim(rsMsgBoard("FileID"))
			If ( sFileID <> "" ) Then
				' delete the files (main and possible thumbnail)
				Set lf = server.createObject("Scripting.FileSystemObject")
				sFilePath = Server.MapPath("\" & DOMAIN_Conf("MB") & "\" & sFileID)

				If ( lf.FileExists(sFilePath) ) Then
					Set f = lf.GetFile(sFilePath)
					iFileSize = f.size
					
					' the file exists - delete it
					lf.DeleteFile(sFilePath)
					
					' subtract the num of bytes of the file from the users ttl uploaded bytes
					iTtlUploaded = Trim(ACCNT_ReturnADV("SB_MB_TTLUPLOADED", "V", rsMsgBoard("AccountUnq"), 2, "PRIVATE"))
					If ( iTtlUploaded <> "" ) Then
						iTtlUploaded = CDbl(iTtlUploaded)
					Else
						iTtlUploaded = 0
					End If
					iTtlUploaded = iTtlUploaded - iFileSize
					If ( iTtlUploaded <= 0 ) Then
						iTtlUploaded = 0
					End If
					Call ACCNT_WriteADV("SB_MB_TTLUPLOADED", iTtlUploaded, "V", rsMsgBoard("AccountUnq"), iDomainName, "PRIVATE")
					
					' subtract one from the number of files they have uploaded
					iNumUploaded = Trim(ACCNT_ReturnADV("SB_MB_NUMUPLOAD_TODAY", "V", rsMsgBoard("AccountUnq"), 2, "PRIVATE"))
					If ( iNumUploaded <> "" ) Then
						iNumUploaded = CDbl(iNumUploaded)
					Else
						iNumUploaded = 0
					End If
					If ( iNumUploaded > 0 ) Then
						iNumUploaded = iNumUploaded - 1
					End If
					Call ACCNT_WriteADV("SB_MB_NUMUPLOAD_TODAY", iNumUploaded, "V", rsMsgBoard("AccountUnq"), iDomainName, "PRIVATE")
	
					' the last day they uploaded a file still must be today (don't change it)
					
				End If
				sFilePath = Server.MapPath("\" & DOMAIN_Conf("MB") & "\" & "Thumb_" & sFileID)
				If ( lf.FileExists(sFilePath) ) Then
					' a thumbnail exists - delete it
					lf.DeleteFile(sFilePath)
				End If
			End If
			
			If ( bClearDB ) Then
				' clear the columns associated with attachments
				DBConnection.Execute "UPDATE Message SET FileLoc='', FileName='', FileSize=0, NumDownloads=0, FileID='' WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iLocalMsgUnq
			End If
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing
	End Sub
	'************************************************************************************
%>
