<%
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub L_FUNCTION_Prep_NewThread()
		' Begin cooking the subject and body
		If ( sSubject <> "" ) Then
			sCookedSubject 			= ProfanityFilter(sSubject)
			sCookedSubject 			= StripCodes(sCookedSubject)
		Else
			sCookedSubject 			= DOMAIN_Text("MSGBOARD_NEWTHREAD_NO_SUBJECT")
		End If
		sBody 				= ProfanityFilter(sBody)
		
		' Submit the data to the database - insert into the Message table
		' Replace any "<" or ">" w/ "&gt;" & "&lt;" in the handle, body and subject so they can't slip any in anywhere.
		sCookedBody = sBody
		If ( ( UCase(Trim(DOMAIN_Conf("USE_EDIT-ON"))) <> "YES" ) Or ( UCase(Trim(DOMAIN_Conf("MSGBOARD_EDIT-ON"))) <> "YES" ) ) Then	
			' the msgboard admin turned off Edit-On so strip HTML and use SiteBeater codes
			sCookedBody 			= StripCodes(sCookedBody)
		End If
		sCookedBody = DoEmotes(sCookedBody, sConvEmotes)
		sTemp = Trim(ACCNT_ReturnADV("SB_MB_SigFile", "T", iLoginAccountUnq, 2, "PRIVATE"))
		If ( ( sAppendSig = "Y" ) And ( sTemp <> "" ) ) Then
			sCookedBody = sCookedBody & VbCrlf & VbCrlf & DOMAIN_Text("MSGBOARD_SIG_DELIMITER") & VbCrlf & sTemp
		End If

		
		' get and append the conference sig (if there is one)
		sSQLText = "SELECT Sig FROM Conference (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection
		If ( NOT rsMsgBoard.EOF ) Then
			sTemp = Trim(rsMsgBoard("Sig"))
			If ( sTemp <> "" ) Then
				sCookedBody = sCookedBody & VbCrlf & VbCrlf & DOMAIN_Text("MSGBOARD_SIG_DELIMITER") & VbCrlf & sTemp
			End If
		End If
		rsMsgBoard.Close

		' see if this board is moderated. 
		sTempApprovalValue = ""
		sTempModerated = IsModeratedBoard(iConfUnq)
		If ( sTempModerated ) Then
			If ( ( ACCNT_SpecificDomain("SB_MB_MODERATION", iDomainName) ) Or ( IsAdmin(iConfUnq, iLoginAccountUnq) = "TRUE" ) ) Then
				' the editor of the message is an admin, so they do not need to wait for moderation of their changes/message
				sTempApprovalValue = "Y"
			Else
				sTempApprovalValue = ""
			End If
		Else
			sTempApprovalValue = "Y"
		End If
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub L_FUNCTION_Prep_Preview()
		' Begin cooking the subject and body
		If ( sSubject <> "" ) Then
			sCookedSubject 			= ProfanityFilter(sSubject)
			sCookedSubject 			= StripCodes(SQLEncode(sCookedSubject))
		Else
			sCookedSubject 			= DOMAIN_Text("MSGBOARD_NEWTHREAD_NO_SUBJECT")
		End If
		sBody 				= ProfanityFilter(sBody)
		
		' Submit the data to the database - insert into the Message table
		' Replace any "<" or ">" w/ "&gt;" & "&lt;" in the handle, body and subject so they can't slip any in anywhere.
		sCookedBody = sBody
		If ( ( UCase(Trim(DOMAIN_Conf("USE_EDIT-ON"))) <> "YES" ) Or ( UCase(Trim(DOMAIN_Conf("MSGBOARD_EDIT-ON"))) <> "YES" ) ) Then
			' the msgboard admin turned off Edit-On so strip HTML and use SiteBeater codes
			sCookedBody 			= StripCodes(sCookedBody)
		End If
		sCookedBody = DoEmotes(sCookedBody, sConvEmotes)
		sTemp = Trim(ACCNT_ReturnADV("SB_MB_SigFile", "T", iLoginAccountUnq, 2, "PRIVATE"))
		If ( ( sAppendSig = "Y" ) And ( sTemp <> "" ) ) Then
			sCookedBody = sCookedBody & VbCrlf & VbCrlf & DOMAIN_Text("MSGBOARD_SIG_DELIMITER") & VbCrlf & sTemp
		End If

		
		' get and append the conference sig (if there is one)
		sSQLText = "SELECT Sig FROM Conference (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection
		If ( NOT rsMsgBoard.EOF ) Then
			sTemp = Trim(rsMsgBoard("Sig"))
			If ( sTemp <> "" ) Then
				sCookedBody = sCookedBody & VbCrlf & VbCrlf & DOMAIN_Text("MSGBOARD_SIG_DELIMITER") & VbCrlf & sTemp
			End If
		End If
		rsMsgBoard.Close
			
		If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" ) Then					' site admin must turn it on
			If ( DOMAIN_Conf("MSGBOARD_EDIT-ON") <> "YES" ) Then		' msgboard admin must turn it on
				sCookedBody = Replace(sCookedBody, VbCrlf, "<br>")
			End If
		Else
			sCookedBody = Replace(sCookedBody, VbCrlf, "<br>")
		End If
	End Sub
	'************************************************************************************
%>